﻿// JScript 文件
var cfg_otheralarm_header = new Array(str_ch,str_trigger);
var cfg_vloss_ptz_header = new Array(str_ch,str_type,str_no);


function OnLoadCfgVlossAlarm()
{
    ApplyXmlLang("cfg_vloss_alarm.xml");
    CreateListVLoss(id_vloss_alarm, 2,cfg_otheralarm_header, g_channelList.length);
    
    GenCheckGroup(vloss_trigger_out,true, g_alarmoutList,STR_VLOSS_TO_ALARM_OUT+"_ctrl",4,Btrigger);
    GenCheckGroup(vloss_snap, true,g_channelList,STR_VLOSS_TO_SNAP+"_ctrl",4,Btrigger);
    if(g_alarmoutList.length > 1)
    {
        vloss_trigger_out.className += " " +"user_gen_table";
    }
    else
    {
        vloss_trigger_out.style.border = "0";
        vloss_trigger_out.rows[0].cells[0].style.border = "0";
    }
    
    if (g_supportFunctions.IsSupportAlarm()) 
    { 
        vloss_trigger_out.disabled = "disabled";
    }
	VlossTriggerPTZ(id_vloss_ptz, 3,cfg_vloss_ptz_header, g_channelList.length);
	var xmlConfigReq = CreateConfigReqXml(vloss_alarm_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	

	//zld 2010/8/18
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(xmlConfigReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(xmlConfigReply);
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
//	window.alert(xmlConfigReply);
	UpdateValues(paramElements, true);
	AlarmGetCruiseList(paramElements);
	//zld 2010/8/26
	Align();
}
function LoadDefaultCfgVlossAlarm()
{
    if(GetDefaultCfg(vloss_alarm_config_array))
    {
        onVlossPTZCancel();
        
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdateValues(paramElements, true);
        
        AlarmGetCruiseList(paramElements);
        
        g_bChange = true;
        bTrigger = true;
    }
}
/***********************************************************************************/
/*********************Other报警配置页面动态生成表格*********************************/
/***********************************************************************************/

function CreateListVLoss(htmlObj, colNum, colHeaders, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr class = 'table_head_bgcolor'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
		strOuterHTML += "<td style = \"width:240px;text-align:center\">"+i+"</td>";
	    strOuterHTML += "<td align = \"center\" style = \"width:487px;\"><input id = \"vloss_trigger_btn\" type = \"button\" value = "+set_button+" onclick = \"OnDisOrHidVloss("+(i-1)+")\"/></td>";
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	htmlObj = parentNode.childNodes[0];
}


function VlossTriggerPTZ(htmlObj, colNum, colHeaders, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr class = 'table_head_bgcolor'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
		strOuterHTML += "<td style = \"width:180px;text-align:center\">"+i+"</td>";
	    strOuterHTML +="<td><select style = \"width:260px\" name = \"ptz_type\" onchange = \"onMotionChangePtzType(this,"+i+");bTrigger = true\"></select></td>";
	    strOuterHTML +="<td><select style = \"width:260px\" name = \"ptz_number\"onchange = \"bTrigger = true;\"></select></td>";
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 1; i < rowInitNum + 1; i++)
	{
	    GenSelectListEx(document.getElementsByName("ptz_type")[i-1], g_motionPTZType);
		if(document.getElementsByName("ptz_type")[i-1].value == 2)	//g_cruiseList
		{
			GenSelectListEx(document.getElementsByName("ptz_number")[i-1], g_cruiseList[i-1]);
		}
		else	//定码率
		{
			GenSelectListEx(document.getElementsByName("ptz_number")[i-1], g_presetList);
		}
	}
	
	htmlObj = parentNode.childNodes[0];
}

/**********************other界面显示与隐藏的控制*************************/
function OnDisOrHidVloss(index)
{
    var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
    UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_BUZZ, STR_VLOSS_TO_BUZZ+"_ctrl", false);
    UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_EMAIL, STR_VLOSS_TO_EMAIL+"_ctrl", false);
    UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_ALARM_OUT, STR_VLOSS_TO_ALARM_OUT+"_ctrl", false);
    UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_SNAP, STR_VLOSS_TO_SNAP+"_ctrl", false);
    UpdateBigView(paramElements, STR_VLOSS_TO_BIGVIEW, STR_VLOSS_TO_BIGVIEW+"_ctrl", false);
    UpdateAlarmToPtz(paramElements, false, g_curchannel_vloss);
    div_vloss_trigger.style.display = "";
    other_index_num.innerHTML = "<b>"+channel_string +(index+1)+"</b>";
    g_curchannel_vloss = index;
    for(var i = 0 ; i < g_channelList.length; i++)
    {
        document.getElementsByName("ptz_type")[i].disabled = false;
        document.getElementsByName("ptz_number")[i].disabled = false;
    }
    for(k = 0; k < g_bUpdataChannel.length; k++)
    {
        if(k != index)
        {
            g_bUpdataChannel[k] = 0;
        }
        else
        {
            g_bUpdataChannel[k] = 1;
        }
    }
    
    //zld 2010/8/22 vloss_to_bigview_ctrl改成id
    GenSelectListEx(vloss_to_bigview_ctrl, g_bigViewList);
    var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
    UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_BUZZ, STR_VLOSS_TO_BUZZ+"_ctrl", true);
    UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_EMAIL, STR_VLOSS_TO_EMAIL+"_ctrl", true);
    UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_ALARM_OUT, STR_VLOSS_TO_ALARM_OUT+"_ctrl", true);
    UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_SNAP, STR_VLOSS_TO_SNAP+"_ctrl", true);
    UpdateBigView(paramElements, STR_VLOSS_TO_BIGVIEW, STR_VLOSS_TO_BIGVIEW+"_ctrl", true);
    UpdateAlarmToPtz(paramElements, true, g_curchannel_vloss);
    GenCpList(cp_config_vloss,index, g_channelList);
    UpdateCheckItems(vloss_trigger_out);
    UpdateCheckItems(vloss_snap);
	Align();
    EdgeCtrl(div_config_index,72);
    location.href = "#div_vloss_trigger";
}
function onVlossPTZSave()
{
    if(!bTrigger)
    {
        window.alert(cfg_nochange_tip);
    }
    else
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
		UpdateValues(paramElements, false);
        UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_BUZZ, STR_VLOSS_TO_BUZZ+"_ctrl", false);
        UpdateBooleanTrigger(paramElements, STR_VLOSS_TO_EMAIL, STR_VLOSS_TO_EMAIL+"_ctrl", false);
        UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_ALARM_OUT, STR_VLOSS_TO_ALARM_OUT+"_ctrl", false);
        UpdateAlarmTrigger(paramElements, STR_VLOSS_TO_SNAP, STR_VLOSS_TO_SNAP+"_ctrl", false);
        UpdateBigView(paramElements, STR_VLOSS_TO_BIGVIEW, STR_VLOSS_TO_BIGVIEW+"_ctrl", false);
        UpdateAlarmToPtz(paramElements, false, g_curchannel_vloss);
        div_vloss_trigger.style.display = "none";
	    Align();
        EdgeCtrl(div_config_index,72);
    }
    
    for(k = 0; k < g_bUpdataChannel.length; k++)
    {
        g_bUpdataChannel[k] = 0;
	}
}
function onVlossPTZCancel()
{
    div_vloss_trigger.style.display = "none";
    UpdateCheckItems(vloss_trigger_out);
    UpdateCheckItems(vloss_snap);
	Align();
    EdgeCtrl(div_config_index,72);
    location.href = "#div_vloss_trigger";
    
    for(k = 0; k < g_bUpdataChannel.length; k++)
    {
        g_bUpdataChannel[k] = 0;
	}
}
