﻿// JScript 文件

var g_diskInfoArray = new Array();
var g_diskTypeName = new Array("IDE", "SATA", "USB", "REMDISK", "ESATA", "SD", "CD/DVD");
var g_diskStatusName = new Array(str_normal, str_notformatted, str_nocd, str_mounted, str_notmounted);
var g_diskProperty = new Array(
        new CSelectOptionInfo(str_readwrite, 0), 
        new CSelectOptionInfo(str_readonly, 1),
        new CSelectOptionInfo(str_redundancy, 2));
var g_diskOwnerName = new Array(str_this, str_other);

var g_curSelDisk = -1;
var g_formatThread = -1;
var g_updateThread= -1;
var g_updatedoc = null;

function DiskInfo(diskTypeGroup, diskType, diskSize, diskFree, diskStatus, diskProperty, diskOwner)
{
    this.diskTypeGroup = diskTypeGroup;
    this.diskType = diskType;
    this.diskSize = diskSize;
    this.diskFree = diskFree;
    this.diskStatus = diskStatus;
    this.diskProperty = diskProperty;
    this.diskOwner = diskOwner;
}

function GotoAdvancePage()
{
	if(g_mainMenuItem == 3)
	{
		HintSave(-1);
	}
	g_mainMenuItem = 4;
	g_lastNav = null;
    selected(g_mainMenuItem);
    HideDIVs();
	div_main_menu.style.display		= "";
	div_advance_body.style.display   = "";
	
	g_lastNav = "";
	g_lastNavSec = "";
	
    g_xmlhttp.open("get", "body_html/body_advance.html", false);
//    g_xmlhttp.onreadystatechange = OnReceiveAdvance;
    SafeHttpSend(g_xmlhttp, null);
    OnReceiveAdvance();
}

function OnReceiveAdvance()
{
    if (g_xmlhttp.readyState != 4) 
    {
        return;
    }
    div_advance_body.innerHTML = g_xmlhttp.responseText;
    //zld 2010/12/14
    var disk_property=document.getElementsByName("disk_property");
    
    for(var i = 0; i < disk_property.length; i++)
    {
        disk_property[i].style.width = "100%";
        disk_property[i].style.display = "none";
    }
    
    searchNavS(diskmanager_nav);
    ApplyXmlLang("advance.xml");
    EdgeCtrl(div_advance_nav,78);
    
    if(!g_supportFunctions.IsSupportDiskMan())
    {
        diskm_apply_btn.style.display = "none";
        diskm_format_btn.style.display = "none";
    }
    
    var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = div_advance_body.offsetHeight+40;
        document.getElementById("work_area").style.height =work_area_height+"px";
        //document.getElementById("upgradeNav").style.display="none";
    }
    
    GotoDiskManager();
}
function GotoDiskManager()
{
    var cfgItemArray = new Array(STR_SUPPORT_REC_REDUNDANCY);
    var xmlConfigReq = CreateConfigReqXml(cfgItemArray);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
    OnConstItemProc(xmlConfigReply);

    advance_dismanager_div.style.display = "";
    advance_upgrade_div.style.display = "none";
    diskm_format_btn.disabled = true;
    
    if(!g_supportRecRedundancy)
    {
        g_diskProperty.splice(2,1);
    }
    
    for(var i = 1; i < advance_diskm_table.rows.length; i++)
    {
        advance_diskm_table.rows[i].onclick = function()
        {
            g_curSelDisk = -1;
            diskm_format_btn.disabled = true;
            for(var k = 1; k < advance_diskm_table.rows.length; k++)
            {
                if(advance_diskm_table.rows[k] != this)
                {
                    advance_diskm_table.rows[k].style.backgroundColor="";
                    advance_diskm_table.rows[k].style.color="";
                }
                else
                {
                    if(this.cells[0].innerText != " ")
                    {
                        g_curSelDisk = k-1;
                        this.style.backgroundColor=advanced_selected_bg;
                        this.style.color=advanced_selected_color;
                        
                        if(g_diskInfoArray[g_curSelDisk].diskTypeGroup == 0)
                        {
                            diskm_format_btn.disabled = false;
                        }
                    }                  
                }
            }
        }
        advance_diskm_table.rows[i].onmouseover = function()
        {
            if((g_curSelDisk == -1) || (advance_diskm_table.rows[g_curSelDisk+1] != this))
            {
                if(this.cells[0].innerText != " ")
                {
                    this.style.backgroundColor = "#e0f0ff";
                }
            }        
        }
        advance_diskm_table.rows[i].onmouseout = function()
        {
            if(this.style.backgroundColor.toLowerCase() == "#e0f0ff")
            {
                this.style.backgroundColor = "";
            }
        }
    }
    
    if(g_authority.authority & 4096)
    {
        GetDiskInfo();
    }
    else
    {
        diskm_refresh_btn.disabled = true;
        diskm_apply_btn.disabled = true;
        diskm_format_btn.disabled = true;
        window.alert(str_no_auth);
    }
}

function GotoUpgrade()
{
    advance_dismanager_div.style.display = "none";
    advance_upgrade_div.style.display = "";
}

function OnChangeDiskProperty()
{
    //zld 2010/12/14
    var disk_property=document.getElementsByName("disk_property");
    diskm_apply_btn.disabled = true;
    for(var index = 0; index < g_diskInfoArray.length; index++)
    {
        if(g_diskInfoArray[index].diskProperty != disk_property[index].value)
        {
            diskm_apply_btn.disabled = false;
            break;
        }
    }
}

function GetDiskInfo()
{
    g_diskInfoArray = new Array();
    
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_DISK_MAN_START+"\">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    var strReply = WebClient.ExcuteCmd(strRequest);
  //window.alert(strReply);
    if(strReply == "")
    {
        return;
    }
    

//zld 2010/9/2
   if (g_xmlDoc!=null)
   {
       delete g_xmlDoc;
       g_xmlDoc=null;
   }

    g_xmlDoc=FormatToXmlDOM(strReply);
    g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(strReply);
    var cmdElement = g_xmlDoc.documentElement.childNodes[0];
    
    if(cmdElement.getAttribute("name") == STR_DISK_MAN_RESULT)
    {
        window.alert(str_someone_format_disk);
    }
    else
    {
        var itemElement = cmdElement.childNodes;
        for(var i = 0; i < itemElement.length; i++)
        {
            var diskTypeGroup = itemElement[i].getElementsByTagName(STR_DISK_TYPE_GROUP)[0].childNodes[0].nodeValue;
            var diskType = itemElement[i].getElementsByTagName(STR_DISK_TYPE)[0].childNodes[0].nodeValue;
            var diskSize = itemElement[i].getElementsByTagName(STR_DISK_SIZE)[0].childNodes[0].nodeValue;
            var diskFree = itemElement[i].getElementsByTagName(STR_DISK_FREE_SPACE)[0].childNodes[0].nodeValue;
            var diskStatus = itemElement[i].getElementsByTagName(STR_DISK_STATUS)[0].childNodes[0].nodeValue;
            var diskProperty = itemElement[i].getElementsByTagName(STR_DISK_PROPERTY)[0].childNodes[0].nodeValue;
            var diskOwner = itemElement[i].getElementsByTagName(STR_DISK_OWNER)[0].childNodes[0].nodeValue;
            g_diskInfoArray[i] = new DiskInfo(diskTypeGroup, diskType, diskSize, diskFree, diskStatus, diskProperty, diskOwner);
        }
    }
    
    DisplayDisk();
}

function DisplayDisk()
{
    //zld 2010/12/14
    var disk_property=document.getElementsByName("disk_property");
    var rows = advance_diskm_table.rows;
    for(var i = 0; i < g_diskInfoArray.length; i++)
    {                    
        rows[i+1].cells[0].innerText = i+1;
        rows[i+1].cells[1].innerText = g_diskTypeName[g_diskInfoArray[i].diskType];
        rows[i+1].cells[2].innerText = g_diskInfoArray[i].diskSize;
        rows[i+1].cells[3].innerText = g_diskInfoArray[i].diskFree;
        rows[i+1].cells[6].innerText = g_diskOwnerName[g_diskInfoArray[i].diskOwner];
        
        disk_property[i].style.display = "";
        disk_property[i].disabled = true;
        
        if((g_diskInfoArray[i].diskTypeGroup == 0) && (g_diskInfoArray[i].diskOwner == 0))   //固定磁盘
        {
            GenSelectListEx(disk_property[i], g_diskProperty);
            rows[i+1].cells[4].innerText = g_diskStatusName[g_diskInfoArray[i].diskStatus];
            disk_property[i].value = g_diskInfoArray[i].diskProperty;
            if(g_diskInfoArray[i].diskStatus == 0)
            {
                disk_property[i].disabled = !g_supportFunctions.IsSupportDiskMan();
            }
        }
        else
        {
            var property = new Array();
            property[0] = g_diskProperty[0];
            GenSelectListEx(disk_property[i], property);
            disk_property[i].value = 0; //always readwrite
            
            if(g_diskInfoArray[i].diskTypeGroup == 1)   // USB
            {
                rows[i+1].cells[4].innerText = g_diskStatusName[0];
            }
            else    // CD/DVD
            {
                rows[i+1].cells[4].innerText = g_diskStatusName[g_diskInfoArray[i].diskStatus];
            }
        }
    }
    for(i = g_diskInfoArray.length; i < (rows.length-1); i++)
    {
        rows[i+1].cells[0].innerText = " ";
        rows[i+1].cells[1].innerText = "";
        rows[i+1].cells[2].innerText = "";
        rows[i+1].cells[3].innerText = "";
        rows[i+1].cells[4].innerText = "";
        rows[i+1].cells[6].innerText = "";
        disk_property[i].style.display = "none";
    }
    for(i = 1; i < rows.length; i++)
    {
        advance_diskm_table.rows[i].style.backgroundColor="";
        advance_diskm_table.rows[i].style.color="";
    }
    diskm_format_btn.disabled = true;
}

function FormatDisk()
{
    if(!confirm(str_confirm_format_disk))
    {
        return;
    }
    var cmdElement = g_xmlDoc.documentElement.childNodes;
    var itemElement = cmdElement[0].childNodes;
    
    //zld 2010/10/26
    var strRequest="";
 	var IE = /msie/i.test(navigator.userAgent); 
 	if (IE) 
 	{
 	    strRequest = "<request>\r\n";
        strRequest += "<command name=\""+STR_FORMAT_DISK_START+"\">\r\n";
        strRequest += itemElement[g_curSelDisk].xml;
        strRequest += "</command>\r\n";
        strRequest += "</request>\r\n";
 	}
 	else
 	{
 	    var xmlstr = serializeXml(itemElement[g_curSelDisk]);
 	    if (null!=g_oSerializer) 
 	    {
 	        delete g_oSerializer;
 	        g_oSerializer=null;
 	    }
 	    
 	    strRequest = "<request>\r\n";
        strRequest += "<command name=\""+STR_FORMAT_DISK_START+"\">\r\n";
        strRequest += xmlstr;
        strRequest += "</command>\r\n";
        strRequest += "</request>\r\n";
 	}
 	    
    var strReply = WebClient.ExcuteCmd(strRequest);
    
    if(strReply == "")
    {
        return;
    }
    
   
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(strReply);
    g_xmlDoc.async = false;
    
    cmdElement = g_xmlDoc.documentElement.childNodes[0];
    if(cmdElement.attributes.getNamedItem("name").nodeValue == STR_REPLY_NO_AUTH)
    {
        window.alert(str_no_auth);
        return;
    }
    
    if(cmdElement.childNodes[0].nodeValue == STR_SUCCESS)
    {
        InitProgressBar();
        StartWaitTip(str_disk_format_wait_tip);
        g_formatThread = setTimeout("GetFormatPercent()", 500);
    }
    else
    {
        if(cmdElement.childNodes[0].nodeValue == STR_DISK_BUSY_PB_BK)
        {
            window.alert(str_disk_busy_pb_bk);
        }
        GetDiskInfo();
    }
}

function ApplyDiskSettings()
{
    if(!confirm(str_confirm_disk_settings))
    {
        return;
    }
    var cmdElement = g_xmlDoc.documentElement.childNodes;
    var itemElement = cmdElement[0].childNodes;
    
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_DISK_CHANGE_PROPERTY+"\">\r\n";
    
    //zld 2010/12/14
 	var IE = /msie/i.test(navigator.userAgent);
    var disk_property=document.getElementsByName("disk_property"); 
    var nChangeCount = 0;
    for(var i = 0; i < itemElement.length; i++)
    {
        if(g_diskInfoArray[i].diskProperty != disk_property[i].value)
        {
            if (IE) 
            {
                itemElement[i].getElementsByTagName(STR_DISK_TEMP)[0].childNodes[0].nodeValue = disk_property[i].value;
                strRequest += itemElement[i].xml;
                nChangeCount++;
            }
            else
            {
                itemElement[i].getElementsByTagName(STR_DISK_TEMP)[0].childNodes[0].nodeValue = disk_property[i].value;
                var xmlstr = serializeXml(itemElement[i]);
 	            if (null!=g_oSerializer) 
 	            {
 	                delete g_oSerializer;
 	                g_oSerializer=null;
 	            }
         	    
                strRequest += xmlstr;
                nChangeCount++;
            }
        }        
    }
    
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
        
    if(nChangeCount == 0)
    {
        return;
    }
    
    var strReply = WebClient.ExcuteCmd(strRequest);
    
    if(strReply == "")
    {
        return;
    }
    
    
    //zld 2010/8/18
    //zld 2010/9/2
    
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(strReply);
    g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(strReply);
    
    cmdElement = g_xmlDoc.documentElement.childNodes[0];
    if(cmdElement.attributes.getNamedItem("name").nodeValue == STR_REPLY_NO_AUTH)
    {
        window.alert(str_no_auth);
        return;
    }
    
    if(cmdElement.childNodes[0].nodeValue == STR_SUCCESS)
    {
        window.alert(str_disk_config_succ);
    }
    else if(cmdElement.childNodes[0].nodeValue == STR_DISK_FORMATTING)
    {
//        widow.alert(str_someone_format_disk);
    }
    else if(cmdElement.childNodes[0].nodeValue == STR_DISK_IO_ERROR)
    {
        window.alert(str_disk_io_error);
    }
    else if(cmdElement.childNodes[0].nodeValue == STR_DISK_BUSY_PB_BK)
    {
        window.alert(str_disk_busy_pb_bk);
    }
    else
    {
        window.alert(str_disk_config_fail);
    }
    
    diskm_apply_btn.disabled = true;
    
    GetDiskInfo();
}

function GetFormatPercent()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_DISK_FORMAT_PERCENT+"\">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    var strReply = WebClient.ExcuteCmd(strRequest);
    if(strReply == "")
    {
        DestroyProgressBar();
        clearTimeout(g_formatThread);
        return;
    }
    
    
    //zld 2010/8/18
    //zld 2010/9/2
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(strReply);
    g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(strReply);
    var cmdElement = g_xmlDoc.documentElement.childNodes[0];
    var progress = cmdElement.getElementsByTagName(STR_DISK_FORMAT_PROGRESS)[0].childNodes[0].nodeValue;
    
    if(progress == "101")
    {
        StopWaitTip();
        clearTimeout(g_formatThread);
        window.alert(str_disk_format_fail);
        DestroyProgressBar();
        
        StopDiskFormat();
    }
    else if(progress == "100")
    {
        StopWaitTip();
        disk_formatted.style.width = "600px";
        disk_unformatted.style.display = "none";
        disk_format_label.innerText = "100%";
        
        clearTimeout(g_formatThread);
        window.alert(str_disk_format_finish);
        DestroyProgressBar();
            
        StopDiskFormat();
        GetDiskInfo();
    }
    else
    {
        var formatted = 600*parseInt(progress, 10)/100;
        if(formatted > 0)
        {
            disk_formatted.style.display = "";
        }
        disk_formatted.style.width = formatted + "px";
        disk_unformatted.style.width = (600-formatted) + "px";
        disk_format_label.innerText = progress + "%";
        g_formatThread = setTimeout("GetFormatPercent()", 500);
    }
}

function StopDiskFormat()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_FORMAT_DISK_STOP+"\">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    WebClient.ExcuteCmd(strRequest);
}

function InitProgressBar()
{
    disk_progress_table.style.display = "";
    disk_formatted.style.display = "none";
}
function InitUpdateProgressBar()
{
    update_progress_table.style.display = "";
    advance_update_label.style.display = "";
    updated.style.display = "none";
}

function DestroyProgressBar()
{
    disk_progress_table.style.display = "none";
    disk_formatted.style.display = "none";
    disk_formatted.style.width = "0px";
    disk_unformatted.style.width = "600px";
}
function DestroyUpdateProgressBar()
{
    
    update_progress_table.style.display = "none";
    advance_update_label.style.display = "none";
    updated.style.display = "none";
    updated.style.width = "0px";
    noupdate.style.width = "600px";
}
function BrowseFolderUpdate()
{
    advanced_update_path.value = WebClient.BrowseFile(2);
}
function Update()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_UPDATE+"\">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    if (advanced_update_path.value=="") 
    {
       window.alert(str_no_update_path);
       return;
    }
    var re = window.confirm(str_if_update);
     
    if (re==false) 
    {
       return;   
    }
    if (CheckFileLength()) 
    { 
         window.alert(str_update_fail_invaid_file);
         return;
    }
    else
    {
    
   
        var strReply = WebClient.ExcuteCmd(strRequest);
        //g_xmlDoc.async = false;
        //g_xmlDoc.loadXML(strReply);
        //zld 2010/11/18
        if (null!=g_xmlDoc) 
        {
            delete g_xmlDoc;
            g_xmlDoc=null;
        }
        g_xmlDoc=FormatToXmlDOM(strReply);
        g_xmlDoc.async = false;
     
        var cmdElement = g_xmlDoc.documentElement.childNodes[0];
        if(cmdElement.childNodes[0].nodeValue == STR_CANNOT_UPDATE)
        {
            window.alert(str_update_fail);
        }
        else if (cmdElement.childNodes[0].nodeValue == STR_FAIL_UPDATING)
        {
            window.alert(str_fail_updating);
        }
        else if (cmdElement.childNodes[0].nodeValue == STR_UPDATE_FAIL_FORMAT_DISK) 
        {
            window.alert(str_update_fail_fomat_disk);
        }
        else if (cmdElement.childNodes[0].nodeValue == STR_UPDATE_FAIL_NO_DISK) 
        {
            window.alert(str_update_fail_no_disk);
        }
        else if (cmdElement.childNodes[0].nodeValue == STR_UPDATE_FAIL_NO_AUTHORITY) 
        {
            window.alert(str_no_auth);
        }
        else if(cmdElement.childNodes[0].nodeValue == STR_CAN_UPDATE)
        {
            SendUpdateDate();  
        }
    }
}
function CheckFileLength()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+ STR_CHECK_LENTH +"\">\r\n";
    strRequest+="<" + STR_UPDATE_PATH + ">"+advanced_update_path.value+"</" + STR_UPDATE_PATH + ">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
   
    var strResponse = WebClient.ExcuteLocalCmd(strRequest);
	var xmlDoc;// = createXMLDoc();
	//xmlDoc.async=false;
	//xmlDoc.loadXML(strResponse);
    //zld 2010/11/18
    xmlDoc=FormatToXmlDOM(strResponse);
    xmlDoc.async = false;
    var cmdElements = xmlDoc.documentElement.childNodes[0];
    var bcheck = cmdElements.getElementsByTagName(STR_CHECK_INFO)[0].childNodes[0].nodeValue;
    if (bcheck == 1) 
    {
        if (null!=xmlDoc) 
        {
            delete xmlDoc;
            xmlDoc=null;
        }
        return 1;
    }
    else
    {
        if (null!=xmlDoc) 
        {
            delete xmlDoc;
            xmlDoc=null;
        }
        return 0;
    }
}
function SendUpdateDate()
{   
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+STR_UPDATE_DATA+"\">\r\n";
    strRequest+="<" + STR_UPDATE_PATH + ">"+advanced_update_path.value+"</" + STR_UPDATE_PATH + ">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
   
    var strReply = WebClient.ExcuteLocalCmd(strRequest);
   
    InitUpdateProgressBar();
    StartWaitTipForUpdate(str_update_wait_tip,str_cancel_update_tip);
    g_updateThread = setTimeout("GetUpdatePercent()", 500);
    
}
function CancelUpdate()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\""+ STR_UPDATE_STOP +"\">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    WebClient.ExcuteLocalCmd(strRequest);
    StopWaitTipForUpdate();
    DestroyUpdateProgressBar();
    window.alert(str_cancel_update);
    clearTimeout(g_updateThread);
    return;
}
function GetUpdatePercent()
{

    var strCmd = "<request>\r\n";
	strCmd += "<command name=\"" + STR_LM_UPDATE_PROGRESS + "\"></command>\r\n";
	strCmd += "</request>\r\n";
	
	var strResponse = WebClient.ExcuteLocalCmd(strCmd);
	if (g_updatedoc!=null) 
	{
	    delete g_updatedoc;
	    g_updatedoc=null;
	}
	g_updatedoc=FormatToXmlDOM(strResponse);
    g_updatedoc.async = false;
    var cmdElements = g_updatedoc.documentElement.childNodes[0];
    var progress = cmdElements.getElementsByTagName(STR_UPDATE_PROGRESS)[0].childNodes[0].nodeValue;
   
	progress = parseInt(progress,10);
    if(progress == 99)
    {
       cancel_update_btn.disabled = "disabled";
    }
    if (progress ==101) 
    {
        StopWaitTipForUpdate();
        clearTimeout(g_updateThread);
        window.alert(str_update_fail);
        cancel_update_btn.disabled = "";
        advanced_update_btn.disabled = "";
        DestroyUpdateProgressBar();
        return;
    }
    if (progress ==102) 
    {
        StopWaitTipForUpdate();
        clearTimeout(g_updateThread);
        window.alert(str_update_fail_invaid_file);
        cancel_update_btn.disabled = "";
        advanced_update_btn.disabled = "";
        DestroyUpdateProgressBar();
        return;
    }
    if(progress == 100)
     {
        StopWaitTipForUpdate();
        update_progress_table.style.width = "600px";
        noupdate.style.display = "none";
        update_label.innerText = "100%";
        clearTimeout(g_updateThread);
     
        var strRequest = "<request>\r\n";
        strRequest += "<command name=\""+STR_SEND_FINISH+"\">\r\n";
        strRequest += "</command>\r\n";
        strRequest += "</request>\r\n";
        var strReply = WebClient.ExcuteCmd(strRequest);
        DestroyUpdateProgressBar();
        window.alert(str_update_succ);
        return;
     }
  
    else
    {
        var hupdated = 600*parseInt(progress, 10)/100;
        if(hupdated > 0)
        {
           updated.style.display = "";
        }
        updated.style.width = hupdated + "px";
        noupdate.style.width = (600-hupdated) + "px";
        update_label.innerText = progress + "%";
        g_updateThread = setTimeout("GetUpdatePercent()", 500);
    
    }
    
}
