﻿// JScript 文件
var g_calendarRecData = new CalendarCtrl(false);
var g_calendarEventData = new CalendarCtrl(false);
var g_calendarLogData = new CalendarCtrl(false);
function HideElement(element)
{
	element.style.display = "none";
	document.onmousedown = new Function();
}

// 日期选择控件

function DateStruct(year, month, day)
{
	this.year = year;
	this.month = month;
	this.day = day;
}

function CalendarCtrl(bPop)
{
	this.bPop = bPop;
	this.months = calendar_month;
	this.daysInMonth = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
	this.days = new Array(calendar_week[0],calendar_week[1], calendar_week[2], calendar_week[3], calendar_week[4], calendar_week[5], calendar_week[6]);
	this.Create = CreateCalendar;
	this.GetMonthDays = GetMonthDays;
	this.GetDate = GetDateSel;
	this.SetDate = SetDateSel;
	this.SetDayState = SetDayState;
	this.dayStates = 0;
	this.OnSelDate = function(selDate) {}
	this.OnChangeMonth = function(curYear, curMonth){}
	this.id = "";
	this.bBottomAlign = false;
	this.bottomPosition = 0;
	
	var sysDate = new Date();
	this.date = new DateStruct(sysDate.getFullYear(), sysDate.getMonth(), sysDate.getDate());
}

CalendarCtrl.all = {};

function CreateCalendar(parentElem)
{
	var intYear, intMonth, intWeek, intWeeks,intDays;
    var DivContent;
    var thisyear = new Date().getFullYear(); //真正的今年年份
    this.id = parentElem.id;
    CalendarCtrl.all[this.id] = this;
   
    //下面开始输出日历表格(border-color:#9DBAF7)
    //zld 2010/8/16 增加width:202px;
    if(this.bPop)
    {
        DivContent="<table border='0' cellspacing='0' class = 'calendar_bgcolor_pop'>";
    }
    else
    {
        DivContent="<table border='0' cellspacing='0' class = 'calendar_bgcolor'>";
    }
    
    DivContent+="<tr>";
    DivContent+="<td class='Calendar_Div'>";
   
    //年
    DivContent+="<select id='"+this.id+"Year' onChange='UpdateCalendar(this.calendar);' style='font-family:Verdana; font-size:12px'>";
    for (intYear = 2004; intYear < (thisyear + 20); intYear++)
        {DivContent+="<option value= " + intYear + " " + (this.date.year == intYear ? "Selected" : "") + ">" + intYear + "<\/option>";}
    DivContent+="<\/select>";
   
    //月
    DivContent+="<select id='"+this.id+"Month' onChange='UpdateCalendar(this.calendar);' style='font-family:Verdana; font-size:12px'>";
    for (intMonth = 0; intMonth < this.months.length; intMonth++)
        {DivContent+="<option value= " + intMonth + " " + (this.date.month == intMonth ? "Selected" : "") + ">" + this.months[intMonth] + "<\/option>";}
    DivContent+="<\/select>";
   
    DivContent+="<\/td>";
    var isIE = /msie/i.test(navigator.userAgent); 
    if (this.bPop) 
    {
        if (!isIE) 
        {
            //safari 不支持hand，cursor:hand改成cursor:pointer   padding-top:2px;
            //zld 2010/8/27 增加关闭img
            DivContent+="<td class = 'calendar_close_bgcolor'>";
            DivContent+="<img id='img_close' src='res/close.png' onmousemove ='this.style.cursor = 'pointer'' onClick='HideElement(" + parentElem.id + ")'><\/img>";
            DivContent+="<\/td>"
        }
        else
        {
            DivContent+="<td class = 'calendar_close_bgcolor' style='cursor:pointer;text_align:center; font-weight:bold; font-family:Wingdings 2,Wingdings,Webdings; font-size:14px; color:#4477FF' align='center' title='关闭' onClick='HideElement(" + parentElem.id + ")'>S<\/td>";
        }
        
    }

    DivContent+="<\/tr>";

    DivContent+="<tr><td border='0' align='center' colspan='2'>";
    DivContent+="<table id='"+this.id+"calendar' border='0' width='100%'>";
    //星期
    DivContent+="<tr>";
    for (intWeek = 0; intWeek < this.days.length; intWeek++)
        {DivContent+="<td align='center' style='font-size:12px;border:none;color:"+cal_week_color+"'>" + this.days[intWeek] + "<\/td>";}
    DivContent+="<\/tr>";

    //天
    for (intWeeks = 0; intWeeks < 6; intWeeks++)
    {
        DivContent+="<tr>";
        for (intDays = 0; intDays < this.days.length; intDays++)
            {DivContent+="<td id='ggg' onClick='OnClickDate(this)'  style='border:none;' align='center' class = 'cal_day_border'><\/td>";}
           // {DivContent+="<td onClick='OnClickDate(this)' class = 'cal_day_border'  style='cursor:pointer; border-right:solid 1px red; border-bottom:solid 1px red; color:#215DC6; font-family:Verdana; font-size:12px;' align='center'><\/td>";}
        DivContent+="<\/tr>";
    }
    
    //zld 2010/8/16增加width:200px; 由于在safari下parentElem.offsetWidth的值是720而不是200
    DivContent+="<\/table><\/td><\/tr><\/table><iframe id='"+this.id+"Frame' style='width:200px; position:absolute;z-index:-1;left:0;top:0;'><\/iframe>";
    //DivContent+="<\/table><\/td><\/tr><\/table><iframe id='"+this.id+"Frame' style='position:absolute;z-index:-1;left:0;top:0;'><\/iframe>";
    
    parentElem.innerHTML=DivContent;
    
    var tdElements = parentElem.getElementsByTagName("td");
    for(var td = 0; td < tdElements.length; td++)
    {
		tdElements[td].calendar = this;
    }

	document.getElementById(this.id+"Year").calendar = this;
	document.getElementById(this.id+"Month").calendar = this;
    UpdateCalendar(this);
    //zld 2010/8/16
    //document.frames[this.id+"Frame"].frameElement.style.width = parentElem.offsetWidth;
	//document.frames[this.id+"Frame"].frameElement.style.height = parentElem.offsetHeight;
}

function GetMonthDays(year, month)
{
    //下面的这段代码是判断当前是否是闰年的
    if (1 == month)
    {
        return ((0 == year % 4) && (0 != (year % 100))) || (0 == year % 400) ? 29 : 28;
    }
    else
	{
		return this.daysInMonth[month];
	}
}

function GetDateSel(bString)
{
    if(bString)
    {
		return this.date.year + "-" + (((this.date.month+1) > 9) ? "" : "0") + (this.date.month+1) 
		+ "-" + ((this.date.day > 9) ? "" : "0") + this.date.day;
    }
    else
    {
        return this.date;
    }
}

function SetDateSel(selDate, bString)
{
	if(bString)
	{
		if(!IsDate(selDate))
		{
			return;
		}
		var str = selDate.split("-");
		this.date.year = parseFloat(str[0]);
		this.date.month = parseFloat(str[1])-1;
		this.date.day = parseFloat(str[2]);
	}
	else
	{
		this.date = selDate;
	}
	
	var yearObj = document.getElementById(this.id+"Year");
	var monthObj = document.getElementById(this.id+"Month");
	yearObj.value = this.date.year;
    monthObj.value = this.date.month;
	
	UpdateCalendar(this);
}

function SetDayState(dayStates)
{
	this.dayStates = dayStates;
}

function ShowCalendar()
{
    this.parentElem.style.display = "";
}

function UpdateCalendar(calObj)
{
    var yearObj = document.getElementById(calObj.id+"Year");
    if(yearObj == null)
    {
        return;
    }
    var monthObj = document.getElementById(calObj.id+"Month");
    if(monthObj == null)
    {
        return;
    }
    var parseYear = parseInt(yearObj.options[yearObj.selectedIndex].value,10);
    var newCal = new Date(parseYear, monthObj.selectedIndex, 1);
    var day = -1;
    var startDay = newCal.getDay();	
    var monthDay = 0;
    calObj.OnChangeMonth(parseYear, monthObj.selectedIndex+1);
   
    if ((calObj.date.year == newCal.getFullYear()) &&(calObj.date.month == newCal.getMonth()))
    {
		day = calObj.date.day;
	}        
    var tableCal = document.getElementById(calObj.id+"calendar");
    var intDaysInMonth =calObj.GetMonthDays(newCal.getFullYear(), newCal.getMonth());    
    
    var intWeek = 0; 
    for (intWeek = 1; intWeek < tableCal.rows.length;intWeek++)
    {
        for (var weekDay = 0; weekDay < tableCal.rows[intWeek].cells.length; weekDay++)
        {
            var cell = tableCal.rows[intWeek].cells[weekDay];
            if ((weekDay == startDay) && (0 == monthDay))
            {
				monthDay = 1;
			}			
            if(day==monthDay) //今天，调用今天的Class
            {
                cell.style.background=cal_today_bgcolor;/*#6699CC*/
                cell.style.color="#FFFFFF";/**/
            }
            else
			{
				cell.style.background=cal_day_bgcolor;/*EDF2FC*/
                cell.style.color=cal_day_color;/*215DC6*/
			}
			if((weekDay==6) || (weekDay===0)) //周六周日
            {
				cell.style.color='#215DC6';
			}
			if((0x01 << (monthDay-1)) & calObj.dayStates)
			{
			    cell.style.color=cal_havedata_color;/*red*/
// 				cell.style.fontWeight="bold";
			}
			else
			{
			    cell.style.color=cal_day_color;/*215DC6*/
// 				cell.style.fontWeight="normal";
			}
            
            if ((monthDay > 0) && (monthDay <= intDaysInMonth))
            {
                cell.innerText = monthDay;
                monthDay++;
                tableCal.rows[intWeek].style.display="";
            }
            else
            {
				cell.innerText = "";
				if(monthDay > intDaysInMonth)
				{
				    break;
				}				
			}
        }
        
        if(weekDay < tableCal.rows[intWeek].cells.length)
        {
            if(weekDay > 0)
            {
                for(; weekDay < tableCal.rows[intWeek].cells.length; weekDay++)
                {
                    tableCal.rows[intWeek].cells[weekDay].innerText = "";
                }
                intWeek += 1;
            }
            break;
        }
	}

	for(; intWeek < tableCal.rows.length;intWeek++)
	{
	    tableCal.rows[intWeek].style.display="none";
	}
	
	//zld 2010/8/16
	var frameelement = document.getElementById(calObj.id+"Frame");
	frameelement.style.height=document.getElementById(calObj.id).offsetHeight;;
	//document.frames[calObj.id+"Frame"].frameElement.style.height = document.getElementById(calObj.id).offsetHeight;
	if(calObj.bBottomAlign)
	{
	    document.getElementById(calObj.id).style.top = calObj.bottomPosition - document.getElementById(calObj.id).offsetHeight;
	}	
}
function OnClickDate(dayObj)
{
    //这段代码处理鼠标点击的情况
    if (event.srcElement.tagName.toUpperCase() == "TD")
    {
        if (event.srcElement.innerText !== "")
        {
            var yearObj = document.getElementById(dayObj.calendar.id+"Year");
            if(yearObj == null)
            {
                return;
            }
            var monthObj = document.getElementById(dayObj.calendar.id+"Month");
            if(monthObj == null)
            {
                return;
            }
			var curDate = dayObj.calendar.date;
			curDate.year = parseInt(yearObj.value,10);
			curDate.month = parseInt(monthObj.value,10);
			curDate.day = parseInt(event.srcElement.innerText,10);
			dayObj.calendar.date = curDate;
			UpdateCalendar(dayObj.calendar);
			dayObj.calendar.OnSelDate(dayObj.calendar.date);
			g_bChange = true;
        }
    }
}

function IsDate(dateStr)
{
    var datePat = /^(\d{4})(\-)(\d{1,2})(\-)(\d{1,2})$/;
    var matchArray = dateStr.match(datePat);
    if (matchArray === null) {return false;}
    var month = matchArray[3];
    var day = matchArray[5];
    var year = matchArray[1];
    if (month < 1 || month > 12) {return false;}
    if (day < 1 || day > 31) {return false;}
    if ((month==4 || month==6 || month==9 || month==11) && day==31) {return false;}
    if (month == 2)
    {
        var isleap = (year % 4 === 0 && (year % 100 !== 0 || year % 400 === 0));
        if (day > 29 || (day==29 && !isleap)) {return false;}
    }
    return true;
}

function PopCalendar(obj, calendarDiv, focusObjOnRet)
{
    var disIput = obj;
    
	if(calendarDiv.innerHTML == "")
	{
	    calendarDiv.calendar = new CalendarCtrl(true);
		calendarDiv.calendar.Create(calendarDiv);
		//显示的位置
		var x=obj.offsetLeft;
		var y=obj.offsetTop;
		while((obj=obj.offsetParent) && (obj != calendarDiv.offsetParent))
		{
			x+=obj.offsetLeft;
			y+=obj.offsetTop;
		}
		calendarDiv.style.left=x+2;
		calendarDiv.style.zIndex=10;
		if(focusObjOnRet != null)
		{
		    calendarDiv.style.top=y-calendarDiv.offsetHeight;
		    calendarDiv.calendar.bBottomAlign = true;
	        calendarDiv.calendar.bottomPosition = y;
		}
		else
		{
            calendarDiv.style.top=y+20;
		}
	}
	
	calendarDiv.style.display = "";
	
	calendarDiv.calendar.SetDate(disIput.value, true);
	calendarDiv.calendar.OnSelDate = function(selDate)
	{
		disIput.value = this.GetDate(true);
		calendarDiv.style.display = "none";
		document.onmousedown = new Function();
		if(focusObjOnRet != null)
		{
			focusObjOnRet.focus();
		}
	}
	
	document.onmousedown = function()
    {
        //显示的位置
	    var calLeft = 0;
	    var calTop = 0;
	    var parentObj = calendarDiv;
	    while(parentObj != null)
	    {
		    calLeft += parentObj.offsetLeft;
		    calTop += parentObj.offsetTop;
		    parentObj = parentObj.offsetParent;
	    }
	    
	    var point = {x:event.offsetX, y:event.offsetY};
	    parentObj = event.srcElement;
	    while(parentObj != null)
	    {
		    point.x += parentObj.offsetLeft;
		    point.y += parentObj.offsetTop;
		    parentObj = parentObj.offsetParent;
	    }
	    
	    if( (point.x < calLeft) || (point.x > (calLeft+calendarDiv.offsetWidth)) || 
	           (point.y < calTop) || (point.y > (calTop+calendarDiv.offsetHeight)) )
	    {
	        //if click the year or mouth select, we should do sth special
	        if(event.srcElement.tagName.toLowerCase() == "select")
	        {
	            var parentNode = event.srcElement.parentNode;
	            while(parentNode.tagName.toLowerCase() != "div")
	            {
	                parentNode = parentNode.parentNode;
	            }
	            if((parentNode != null) && (parentNode.id == calendarDiv.id))
	            {
	                return true;
	            }
	        }
	        
	        calendarDiv.style.display = "none";
	        document.onmousedown = new Function();
	    }
    }
}
