﻿// JScript 文件
var g_bSliderDrag = false;

function OnSliderDocMouseMove()
{
	if(g_bSliderDrag)
	{
		return false;
	}
}

function OnReleaseSlider()
{
	if(g_bSliderDrag)
	{
		g_bSliderDrag = false;
	}
}

function OnButtonDownSlider(bk_id, thumb_id, tip_id)
{
  	g_bSliderDrag = true;
  	tip_id.style.display = "";

  	document.onmousemove = function ()
  	{
  		if(g_bSliderDrag)
		{
			return false;
		}
  	}
  	//OnSliderDocMouseMove;
  	document.onmouseup = function ()
  	{
  		if(g_bSliderDrag)
		{
			g_bSliderDrag = false;
			tip_id.style.display = "none";
		}
  	}
  	//OnReleaseSlider;
  	OnScrollSlider(bk_id, thumb_id, tip_id);
}

function OnScrollSlider(bk_id, thumb_id, tip_id)
{
	if(g_bSliderDrag)
	{
		var left = bk_id.offsetLeft+1;
		var node = bk_id.offsetParent;
		while(node.offsetParent != null)
		{
			left += node.offsetLeft+1;
			node = node.offsetParent;
		}
		var thumb_id_left=0;
		
		if((event.clientX < (left+bk_id.offsetWidth-thumb_id.offsetWidth)) && (event.clientX >= left))
		{
		    thumb_id_left=event.clientX-left+parseInt(bk_id.style.left,10);
			thumb_id.style.left = thumb_id_left+"px";
			tip_id.innerHTML = bk_id.rangeMin+Math.round((event.clientX-left)*(bk_id.rangeMax-bk_id.rangeMin)/(bk_id.offsetWidth-thumb_id.offsetWidth));
		}
		else if(event.clientX >= (left+bk_id.offsetWidth-thumb_id.offsetWidth))
		{
		    thumb_id_left=bk_id.offsetWidth - thumb_id.offsetWidth+parseInt(bk_id.style.left,10);
			thumb_id.style.left = thumb_id_left+"px";
			//thumb_id.style.left = bk_id.offsetWidth - thumb_id.offsetWidth+parseInt(bk_id.style.left,10);
			tip_id.innerHTML = bk_id.rangeMax;
		}
		else if(event.clientX < left)
		{
		    thumb_id_left=parseInt(bk_id.style.left,10);
			thumb_id.style.left = thumb_id_left+"px";
			//thumb_id.style.left = parseInt(bk_id.style.left,10);
			tip_id.innerHTML = bk_id.rangeMin;
		}
//		var tip_id_left=thumb_id.style.left;
//		tip_id.style.left = tip_id_left+"px";
//		var tip_id_top=parseInt(thumb_id.style.top,10)-20;
//		tip_id.style.top = tip_id_top+"px";
		
		var tip_id_left=parseInt(thumb_id.style.left,10);
		tip_id.style.left = tip_id_left+"px";
		
		var tip_id_top=parseInt(thumb_id.style.top,10)-20;
		tip_id.style.top = tip_id_top+"px";
		
	}	
}

function CreateSlider(parentElem, sliderBk, sliderThumb, tip_id, rangeMin, rangeMax, onScroll)
{
	sliderBk.onmousedown = function ()
	{
	    var sliderPos = GetSliderPos(sliderBk, sliderThumb);
		OnButtonDownSlider(sliderBk, sliderThumb, tip_id);
		if(g_bSliderDrag && (onScroll != null))
		{
		    if(!onScroll())
		    {
		        SetSliderPos(sliderBk, sliderThumb, sliderPos);
		    }
		}
	}
	sliderBk.onmousemove = function ()
	{
	    var sliderPos = GetSliderPos(sliderBk, sliderThumb);
		OnScrollSlider(sliderBk,sliderThumb, tip_id);
		if(g_bSliderDrag && (onScroll != null))
		{
		    if(!onScroll())
		    {
		        SetSliderPos(sliderBk, sliderThumb, sliderPos);
		    }
		}
	}
	sliderThumb.onmousedown = function ()
	{
	    var sliderPos = GetSliderPos(sliderBk, sliderThumb);
		OnButtonDownSlider(sliderBk,sliderThumb, tip_id);
		if(g_bSliderDrag && (onScroll != null))
		{
		    if(!onScroll())
		    {
		        SetSliderPos(sliderBk, sliderThumb, sliderPos);
		    }
		}
	}
	sliderThumb.onmousemove = function ()
	{
	    var sliderPos = GetSliderPos(sliderBk, sliderThumb);
		OnScrollSlider(sliderBk, sliderThumb, tip_id);
		if(g_bSliderDrag && (onScroll != null))
		{
		    if(!onScroll())
		    {
		        SetSliderPos(sliderBk, sliderThumb, sliderPos);
		    }
		}
	}
	sliderBk.rangeMin = rangeMin;
	sliderBk.rangeMax = rangeMax;
}

function GetSliderPos(bk_id, thumb_id)
{
	return bk_id.rangeMin+Math.round((parseInt(thumb_id.style.left,10)-parseInt(bk_id.style.left,10))*(bk_id.rangeMax-bk_id.rangeMin)/(bk_id.offsetWidth-thumb_id.offsetWidth));
}

function SetSliderPos(bk_id, thumb_id, pos)
{
	if(pos < bk_id.rangeMin)
	{
		pos = bk_id.rangeMin;
	}
	if(pos > bk_id.rangeMax)
	{
		pos = bk_id.rangeMax;
	}
	
	//zld 2010/8/28
	var thumb_id_left=Math.round((bk_id.offsetWidth-thumb_id.offsetWidth)*(pos-bk_id.rangeMin)/(bk_id.rangeMax-bk_id.rangeMin))+parseInt(bk_id.style.left,10);
	thumb_id.style.left = thumb_id_left+"px";
}
