﻿// JScript 文件

var g_curListPageIndex = 0;
var g_recEventTypes = new Array(str_manual, str_schedule, str_motion, str_sensor);
var g_getPbTimeHandle = 0;
var g_recDataMonthInfo = 0;
var g_recDataTimeSec = new Array(0);
var g_recEventInfo = new Array(0);
var g_recFileInfo = new Array(0);

var g_recDataManPage = 0;
var g_curDivisionMode = 0;
var g_curDivisionIndex = -1;
var g_curSelChannel = new Array();

var g_fileSelItem = new Array();

function FileIsLocked(type)
{
    return !!(0x80000000 & type);
}

function FileIsReadonly(type)
{
    return !!(0x40000000 & type);
}

function FileIsWriting(type)
{
    return !!(0x20000000 & type);
}

function FileIsReading(type)
{
    return !!(0x10000000 & type);
}

function FileIsUnofficial(type)
{
    return !!(0x08000000 & type);
}

function GotoSearchPage()
{
	if(g_mainMenuItem == 3)
	{
		HintSave(-1);
	}
	
	g_mainMenuItem = 1;
	g_lastNav = null;
    selected(g_mainMenuItem);
    HideDIVs();
	document.getElementById("div_main_menu").style.display	= "";
	document.getElementById("div_search_body").style.display   = "";
	
	g_lastNav = "";
	g_lastNavSec = "";
	
    g_xmlhttp.open("get", "body_html/body_search.html", false);
    //zld 2010/8/20 safari 不支持onreadystatechange属性。
    //g_xmlhttp.onreadystatechange = OnReceiveSearch;

    StartWait();
    SafeHttpSend(g_xmlhttp, null);
    if(g_xmlhttp.readyState == 4)
	{
		OnReceiveSearch();
    }
//    setTimeout("SafeHttpSend(g_xmlhttp, null);OnReceiveSearch();", 500);
    g_recDataManPage = 0;
}
function OnReceiveSearch()
{
    if (g_xmlhttp.readyState != 4) 
    {
        return;
    }
    document.getElementById("div_search_body").innerHTML = g_xmlhttp.responseText;
    ApplyXmlLang("search_nav.xml");
    ApplyXmlLang("time_search.xml");
    //请求所需的JS文件
    var jsArray = new Array("ctrl_calendar.js", "ctrl_rec_time.js", "ctrl_time.js", "ctrl_list.js", "ctrl_generator.js");
    
    LoadMultiJS(jsArray, OnLoadSearchPage);
    searchNavS(timesearch_nav);
}

function OnLoadSearchPage()
{
    //zld 2010/9/8
    var file_manager_channel=document.getElementById("file_manager_channel");
    var timesearch_sdate_span=document.getElementById("timesearch_sdate_span");
    var timesearch_stime_span=document.getElementById("timesearch_stime_span");
    var play_channel_table3=document.getElementById("play_channel_table3");
    var play_channel_table2=document.getElementById("play_channel_table2");
    var play_channel_table1=document.getElementById("play_channel_table1");
    var play_channel_table=document.getElementById("play_channel_table");
    var time_search_hour=document.getElementById("time_search_hour");
    
    var div_file_list=document.getElementById("div_file_list");
    var div_event_condition=document.getElementById("div_event_condition");
    var play_channel_table2=document.getElementById("play_channel_table2");
    var play_channel_table1=document.getElementById("play_channel_table1");
    var play_channel_table=document.getElementById("play_channel_table");
    var time_search_hour=document.getElementById("time_search_hour");
    var div_Division=document.getElementById("div_Division");
    var div_search_start=document.getElementById("div_search_start");
    var search_event_list_page=document.getElementById("search_event_list_page");
    
    var time_search_list_page=document.getElementById("time_search_list_page");
    if (g_channelList.length>16) 
    {
        g_CurPage=0;
        time_search_page_set.style.display="";
        div_Division.style.height="";
        div_Division.style.height="240px";
        time_search_list_page.innerHTML = g_CurPage+1+"/"+g_channelList.length/8;
        
    }
    GenCheckGroup(file_manager_channel,false, g_channelList,"channel_index");
    var startDate = new DateTicker("timesearch_start_dateticker");
    timesearch_sdate_span.innerHTML = startDate;
    timesearch_sdate_span.dateName = "timesearch_start_dateticker";
    
    var startTime = new DateBox("timesearch_time", false, true);
    timesearch_stime_span.innerHTML = startTime;
    timesearch_stime_span.dateName = "timesearch_time";
    
    play_channel_table3.style.width = "44px";
    if(g_output_channel_num < 16)
	{
	    play_channel_table3.style.display = "none";
	    play_channel_table2.style.width = "44px";
	}
	if(g_output_channel_num < 8)
	{
	    play_channel_table2.style.display = "none";
	    play_channel_table1.style.width = "44px";
	}
	if(g_output_channel_num < 4)
	{
	    play_channel_table1.style.display = "none";
	}
	
	GenPlayChannelChart(play_channel_table, "play_group", "play_channel");
    var curDate = new Date();
    curDate = curDate.getFullYear() + "-" + AlignTime(curDate.getMonth()+1) + "-" + AlignTime(curDate.getDate());

    DateTicker.all[timesearch_sdate_span.dateName].setValue(curDate);

	if (g_channelList.length>16) 
	{
	    RecDataTimeShow_Channel(time_search_hour,"",1,8);
	}
	else
	{
	    RecDataTimeShow(time_search_hour,"");
	}
	
	RequestMonthCalInfo();
    
    g_calendarRecData.OnChangeMonth = function(curYear, curMonth)
    {
		g_calendarRecData.dayStates = 0;
		for(day = 0; day < g_recDataMonthInfo.length; day++)
		{
			if((g_recDataMonthInfo[day].year == curYear) && (g_recDataMonthInfo[day].month == curMonth))
			{
				g_calendarRecData.dayStates |= (0x01 << (g_recDataMonthInfo[day].day-1));
			}
		}
    }
    g_calendarRecData.OnSelDate = function(selDate)
    {
		var tempA = this.GetDate(true);
		DateTicker.all[timesearch_sdate_span.dateName].setValue(tempA);
		if(g_recDataManPage == 0)
		{
			ShowRecTimeInfo();
		}
    }

    g_calendarRecData.Create(search_calendar);
    g_calendarRecData.SetDate(curDate,true);
    
    div_file_list.display = "none";
    div_event_condition.display = "none";
     //根据权限控制check框的可用性
     //zld 2010/8/22
    var play_channel = document.getElementsByName("play_channel");
    //zld 2010/9/9
    var channel_index=document.getElementsByName("channel_index");
    
    for(var i = 0; i < channel_index.length; i++)
    {
        if((g_authority.authority & 0x0008) && ((0x01 << i) & g_authority.authPlayback))
        {
            channel_index[i].disabled = false;
            play_channel[i].disabled = false;
        }
        else
        {
            channel_index[i].disabled = true;
            play_channel[i].disabled = true;
        }
        
    }
    
    for(var i = 0; i < channel_index.length; i++)
    {
        if(!channel_index[i].disabled)
        {
            channel_index[i].checked = true;
        }
    }
    UpdateCheckItems(file_manager_channel);
    OnSelDivision(play_channel_table, 0, 1);
    //zld 2010/8/25
    document.getElementById("search_middle_div").style.height="560px";
    var divheight=(search_middle_div.offsetHeight-2 > 560) ? search_middle_div.offsetHeight-2 : 560;
    document.getElementById("div_search_nav").style.height=divheight+"px";
    divheight=div_search_nav.offsetHeight-12;
    document.getElementById("search_right_div").style.height=divheight+"px";
    
    //zld 2010/9/8
    var search_body_height=divheight+40;
    document.getElementById("div_search_body").style.height=search_body_height+"px";
    
    //zld 2010/10/13
    var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = search_body_height+60;
        document.getElementById("work_area").style.height =work_area_height+"px";
    }
    
    EdgeCtrl(div_search_nav,72);
    StopWait();
}

function GotoPBPage()
{	
	div_search_body.style.display   = "none";
	WebClient.SetVisible(2);
	div_ocx.style.display = "";
	WebClient.style.display = "";
	
	//zld 2010/8/28
//	div_playback.style.display = "";
//	div_ocx.style.left = div_main_menu.offsetLeft+5;
//	div_ocx.style.top = div_main_menu.offsetTop+div_main_menu.offsetHeight;
//	div_ocx.style.width = 770;

    div_playback.style.display = "";
	var div_ocx_left= document.getElementById("div_main_menu").offsetLeft+5;
	document.getElementById("div_ocx").style.left = div_ocx_left+"px";
	var div_ocx_top= document.getElementById("div_main_menu").offsetTop+document.getElementById("div_main_menu").offsetHeight;
	document.getElementById("div_ocx").style.top = div_ocx_top+"px";
	document.getElementById("div_ocx").style.width = "";
	document.getElementById("div_ocx").style.width = "720px";
	//zld 2010/9/11
	WebClient.style.width = "";
	WebClient.style.width = "720px";
	
	g_xmlhttp.open("get", "body_html/body_playback.html", false);
	SafeHttpSend(g_xmlhttp, null);
//    g_xmlhttp.onreadystatechange = function()
    {
		if (g_xmlhttp.readyState != 4)
		{
			return;
		}
		div_playback.innerHTML = g_xmlhttp.responseText;
		GenPlayChannelChart(play_channel_table_2, "play_group_2", "play_channel_2");
		play_channel_table_23.style.width = "44px";
		if(g_output_channel_num < 16)
		{
		    play_channel_table_23.style.display = "none";
		    play_channel_table_22.style.width = "44px";
		}
		if(g_output_channel_num < 8)
		{
		    play_channel_table_22.style.display = "none";
		    play_channel_table_21.style.width = "44px";
		}
		if(g_output_channel_num < 4)
		{
		    play_channel_table_21.style.display = "none";
		}
		
		//根据权限控制check框的可用性
		var play_channel_2=document.getElementsByName("play_channel_2");
		//zld 2010/9/9
        var channel_index=document.getElementsByName("channel_index");
        
        for(var i = 0; i < channel_index.length; i++)
        {
            if((g_authority.authority & 0x0008) && ((0x01 << i) & g_authority.authPlayback))
            {
                play_channel_2[i].disabled = false;
            }
            else
            {
                play_channel_2[i].disabled = true;
            }
        }
		OnSelDivision(play_channel_table_2, g_curDivisionIndex, g_curDivisionMode);
		var startDate = new DateTicker("play_start_dateticker");
		play_start_date_span.innerHTML = startDate;
		play_start_date_span.dateName = "play_start_dateticker";
		var curDate = DateTicker.all[timesearch_sdate_span.dateName].getValue();
		startDate.setValue(curDate);
		var startTime = new DateBox("play_start_time", false, true);
		play_start_time_span.innerHTML = startTime;
		play_start_time_span.dateName = "play_start_time";
		var curTime = DateBox.all[timesearch_stime_span.dateName].getValue();
		startTime.setValue(curTime.split(":"));
		
		ApplyXmlLang("playback.xml");

		EdgeCtrl(div_ocx,32);
	    //zld 2010/9/1
        
	    if (document.getElementById("div_ocx").offsetHeight>document.getElementById("div_playback").offsetHeight)
	    {
	        var div_live_height= document.getElementById("div_ocx").offsetHeight+5;
	        document.getElementById("div_playback").style.height = "";
	        document.getElementById("div_playback").style.height = div_live_height+"px";
	        //zld 2010/10/9
	        WebClient.style.height = div_live_height+"px";
	        var isIE = /msie/i.test(navigator.userAgent); 
            if (!isIE) 
            {
                var work_area_height = div_live_height+50;
                document.getElementById("work_area").style.height =work_area_height+"px";
            }
	    }
	    else
	    {
	        var div_ocx_height= document.getElementById("div_playback").offsetHeight-5;
	        document.getElementById("div_ocx").style.height = "";
	        document.getElementById("div_ocx").style.height = div_ocx_height+"px";
	        //zld 2010/10/9
	        WebClient.style.height = div_ocx_height+"px";
	        var isIE = /msie/i.test(navigator.userAgent); 
            if (!isIE) 
            {
                var work_area_height = div_ocx_height+50;
                document.getElementById("work_area").style.height =work_area_height+"px";
            }
	    }
    }
}
function LeavePBPage()
{
	ExitPlayback();
	WebClient.SetVisible(0);
	//zld 2010/9/2
    div_ocx.style.width="0px";
    div_ocx.style.height="0px";
	//div_ocx.style.display = "none";
	//<DEL BEGIN>
	//zld 2010/9/13
    WebClient.style.width="0px";
    WebClient.style.height="0px";
	//WebClient.style.display = "none";
	div_playback.style.display = "none";
	div_search_body.style.display = "";
	
	var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = div_search_body.offsetHeight+40;
        document.getElementById("work_area").style.height =work_area_height+"px";
    }
    
	OnSelDivision(play_channel_table, g_curDivisionIndex, g_curDivisionMode);
	EdgeCtrl(div_search_nav,72);
}

function RecDataTimeSec(channel, startTime, endTime)
{
	this.channel = channel;
	this.startTime = startTime;
	this.endTime = endTime;
}

function RecLogInfo(channel, startTime, endTime, type, diskIndex, fileIndex)
{
	this.channel = channel;
	this.startTime = startTime;
	this.endTime = endTime;
	this.type = type;
	this.diskIndex = diskIndex;
	this.fileIndex = fileIndex;
}

//组装请求录像数据信息的XML数据流
function GenReqDataInfoXML(searchType, videoChannels, startTime, endTime, dataType, recordType)
{
	var streamID = 1;
	var audioChannels = videoChannels;
	var strReqXml = "<request>\r\n";
	strReqXml += "<command name=\"" + STR_REQUEST_DATA_SEARCH + "\">\r\n";
	strReqXml += "<parameter name=\"" + STR_SEARCH_TYPE + "\">" + searchType + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_STREAM_ID + "\">" + streamID + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_VIDEO_CHANNELS + "\">" + videoChannels + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_AUDIO_CHANNELS + "\">" + audioChannels + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_START_TIME + "\">" + startTime + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_END_TIME + "\">" + endTime + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_DATA_TYPE + "\">" + dataType + "</parameter>\r\n";
	strReqXml += "<parameter name=\"" + STR_RECORD_TYPE_MASK + "\">" + recordType + "</parameter>\r\n";
	return strReqXml;
}

function RequestMonthCalInfo()
{
	var videoChannels = new Array(64);
	for(i = 0; i < 64; i++)
	{
		videoChannels[i] = '1';
	}
	var strReqXml = GenReqDataInfoXML(0, videoChannels.join(''), "2009-07-29 00:00:00", "2009-07-29 23:59:59", 0, 15);
	var xmlDataInfoReply = WebClient.ExcuteCmd(strReqXml);
	if(xmlDataInfoReply == "")
	{
	    return false;
	}
	
	//zld 2010/8/18
	if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    
    g_xmlDoc = FormatToXmlDOM(xmlDataInfoReply);
    g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(xmlDataInfoReply);
    var cmdElements = g_xmlDoc.documentElement.childNodes;
    if(cmdElements.length == 0)
	{
		return false;
	}
    if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_REPLY_SEARCH_YEAR)
    {
		return false;
    }
    var itemElements = cmdElements[0].childNodes;
	g_recDataMonthInfo = new Array(itemElements.length);
	for(var itemIdx = 0; itemIdx < itemElements.length; itemIdx++)
	{
		year = itemElements[itemIdx].getElementsByTagName(STR_YEAR)[0].childNodes[0].nodeValue;
		month = itemElements[itemIdx].getElementsByTagName(STR_MONTH)[0].childNodes[0].nodeValue;
		day = itemElements[itemIdx].getElementsByTagName(STR_DAY)[0].childNodes[0].nodeValue;
		g_recDataMonthInfo[itemIdx] = new DateStruct(year, month, day);
	}
}

function RequestRecTimeInfo()
{
    //zld 2010/9/9
    var channel_index=document.getElementsByName("channel_index");
    
	var bCheckedChannel = false;
	var videoChannels = new Array(64);
	for(i = 0; i < 64; i++)
	{
		videoChannels[i] = '0';
	}
	for(i = 0; i < channel_index.length; i++)
	{
		if(channel_index[i].checked)
		{
			videoChannels[i] = '1';
			bCheckedChannel = true;
		}
	}
	if(!bCheckedChannel)
	{
		window.alert(select_channel_tip);
		return;
	}
	var curDateSel = g_calendarRecData.GetDate(true);
	var strReqXml = GenReqDataInfoXML(1, videoChannels.join(''), curDateSel+" 00:00:00", curDateSel+" 23:59:59", 0, 15);
	var xmlDataInfoReply = WebClient.ExcuteCmd(strReqXml);
	
	if(xmlDataInfoReply == "")
	{
	    return;
	}
	

	//zld 2010/8/18
  if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(xmlDataInfoReply);
	g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(xmlDataInfoReply);
    
    g_recDataTimeSec = new Array();
    
//    window.alert(xmlDataInfoReply);

    curDateSel = g_calendarRecData.GetDate(false);
    curDateSel = new Date(curDateSel.year, curDateSel.month, curDateSel.day, 0, 0, 0);
    var startTimeSel = curDateSel.getTime()/1000;
    var endTimeSel = startTimeSel + 3600*24;
    var cmdElements = g_xmlDoc.documentElement.childNodes;
    if(cmdElements.length == 0)
	{
		return false;
	}
    if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_REPLY_SEARCH_TIME)
    {
		return false;
    }
    var recTimeSec = cmdElements[0].childNodes;
    for(var i = 0; i < recTimeSec.length; i++)
    {
		var channel = recTimeSec[i].getElementsByTagName(STR_CHANNEL)[0].childNodes[0].nodeValue;
		var startTime = recTimeSec[i].getElementsByTagName(STR_START_TIME)[0].childNodes[0].nodeValue;
		var endTime = recTimeSec[i].getElementsByTagName(STR_END_TIME)[0].childNodes[0].nodeValue;
		startTime = Math.max(parseInt(startTime, 10), startTimeSel);
		endTime = Math.min(parseInt(endTime, 10), endTimeSel);

		g_recDataTimeSec[g_recDataTimeSec.length] = new RecDataTimeSec(channel, startTime, endTime);
    }
    ShowRecTimeInfo();
}

function RequestRecEventInfo(date)
{   
    //zld 2010/9/9
    var channel_index=document.getElementsByName("channel_index");
    
    g_curListPageIndex = 0;
    g_recEventInfo = new Array();
	var bCheckedChannel;
	var videoChannels = new Array(64);
	for(i = 0; i < 64; i++)
	{
		videoChannels[i] = '0';
	}
	for(i = 0; i < channel_index.length; i++)
	{
		if(channel_index[i].checked)
		{
			videoChannels[i] = '1';
			bCheckedChannel = true;
		}
	}
	if(!bCheckedChannel)
	{
		window.alert(select_channel_tip);
		ShowEventList(g_curListPageIndex);
		return;
	}
	var recTypeMask = 0;//= 3;//
	if(event_type_motion.checked)
	{
		recTypeMask |= parseInt(event_type_motion.value,10);
	}
	if(event_type_sensor.checked)
	{
		recTypeMask |= parseInt(event_type_sensor.value,10);
	}
	if(event_all.checked)
	{
		recTypeMask |= parseInt(event_all.value,10);
	}
	
	if(recTypeMask == 0)
	{
	    ShowEventList(g_curListPageIndex);
	    window.alert(str_no_data_tip);
	    return;
	}
	
	var curDateSel = g_calendarRecData.GetDate(true);
	var searchStartTime = curDateSel+" 00:00:00";
	var searchEndTime = curDateSel+" 23:59:59";
	var strReqXml = GenReqDataInfoXML(2, videoChannels.join(''), searchStartTime, searchEndTime, 0, recTypeMask);
	var xmlDataInfoReply = WebClient.ExcuteCmd(strReqXml);
	
	if(xmlDataInfoReply == "")
	{
	    ShowEventList(g_curListPageIndex);
	    return;
	}
	
	if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
	g_xmlDoc=FormatToXmlDOM(xmlDataInfoReply);
	g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(xmlDataInfoReply);
	
	var cmdElements = g_xmlDoc.documentElement.childNodes;
    if(cmdElements.length == 0)
	{
	    ShowEventList(g_curListPageIndex);
	    window.alert(str_no_data_tip);
		return false;
	}
    if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_REPLY_SEARCH_EVENT)
    {
        ShowEventList(g_curListPageIndex);
        window.alert(str_no_data_tip);
		return false;
    }
    var itemElements = cmdElements[0].childNodes;
    if(itemElements.length <= 0)
    {
        ShowEventList(g_curListPageIndex);
        window.alert(str_no_data_tip);
		return false;
    }
	
	for(var i = 0; i < itemElements.length; i++)
	{
	    var channel = itemElements[i].getElementsByTagName(STR_CHANNEL)[0].childNodes[0].nodeValue;
		var startTime = itemElements[i].getElementsByTagName(STR_START_TIME)[0].childNodes[0].nodeValue;
		startTime = (startTime > searchStartTime) ? startTime : searchStartTime;
		var endTime  = itemElements[i].getElementsByTagName(STR_END_TIME)[0].childNodes[0].nodeValue;
		endTime = (endTime < searchEndTime) ? endTime : searchEndTime;
		var eventType = itemElements[i].getElementsByTagName(STR_EVENT_TYPE)[0].childNodes[0].nodeValue;
	    g_recEventInfo[i] = new RecLogInfo(channel, startTime, endTime, eventType);
	}
	
	ShowEventList(g_curListPageIndex);
}

function RequestRecFileInfo(date)
{
    //zld 2010/9/9
    var channel_index=document.getElementsByName("channel_index");
    
    g_curListPageIndex = 0;
    g_recFileInfo = new Array();
    g_fileSelItem = new Array();
	var bCheckedChannel = false;
	var videoChannels = new Array(64);
	for(i = 0; i < 64; i++)
	{
		videoChannels[i] = '0';
	}
	for(i = 0; i < channel_index.length; i++)
	{
		if(channel_index[i].checked)
		{
			videoChannels[i] = '1';
			bCheckedChannel = true;
		}
	}
	if(!bCheckedChannel)
	{
		window.alert(select_channel_tip);
		ShowFileList(g_curListPageIndex);
		return;
	}
	var curDateSel = g_calendarRecData.GetDate(true);
	var searchStartTime = curDateSel+" 00:00:00";
	var searchEndTime = curDateSel+" 23:59:59";
	var strReqXml = GenReqDataInfoXML(3, videoChannels.join(''), searchStartTime, searchEndTime, 0, 15);
	var xmlDataInfoReply = WebClient.ExcuteCmd(strReqXml);
	if(xmlDataInfoReply == "")
	{
	    ShowFileList(g_curListPageIndex);
	    return;
	}
//    window.alert(xmlDataInfoReply);
	
	//zld 2010/8/18
	if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(xmlDataInfoReply);
    g_xmlDoc.async = false;
    //g_xmlDoc.loadXML(xmlDataInfoReply);
    g_curListPageIndex = 0;
    
    var cmdElements = g_xmlDoc.documentElement.childNodes;
	if(cmdElements.length == 0)
	{
	    ShowFileList(g_curListPageIndex);
	    window.alert(str_no_data_tip);
		return;
	}
    if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_REPLY_SEARCH_FILE)
    {
        ShowFileList(g_curListPageIndex);
        window.alert(str_no_data_tip);
		return;
    }
    var itemElements = cmdElements[0].childNodes;
    if(itemElements.length <= 0)
    {
        ShowFileList(g_curListPageIndex);
        window.alert(str_no_data_tip);
		return;
    }

    for(var i = 0; i < itemElements.length; i++)
    {
        var channel = itemElements[i].getElementsByTagName(STR_CHANNEL)[0].childNodes[0].nodeValue;
		var startTime = itemElements[i].getElementsByTagName(STR_START_TIME)[0].childNodes[0].nodeValue;
		startTime = (startTime > searchStartTime) ? startTime : searchStartTime;
		var endTime  = itemElements[i].getElementsByTagName(STR_END_TIME)[0].childNodes[0].nodeValue;
		endTime = (endTime < searchEndTime) ? endTime : searchEndTime;
		var eventType = parseInt(itemElements[i].getElementsByTagName(STR_EVENT_TYPE)[0].childNodes[0].nodeValue,10);
		var diskIndex = itemElements[i].getElementsByTagName(STR_DISK_INDEX)[0].childNodes[0].nodeValue;
		var fileIndex = itemElements[i].getElementsByTagName(STR_FILE_INDEX)[0].childNodes[0].nodeValue;
        g_recFileInfo[i] = new RecLogInfo(channel, startTime, endTime, eventType, diskIndex, fileIndex);
        g_fileSelItem[i] = false;
    }
        
	ShowFileList(g_curListPageIndex);
}

function RequestDataInfo()
{
	if(g_recDataManPage == 0)
	{
		RequestRecTimeInfo();
	}
	else if(g_recDataManPage == 1)
	{
		RequestRecEventInfo();
	}
	else
	{
		RequestRecFileInfo();
	}
}

function ShowFileList(pageIndex)
{
	if(g_recFileInfo.length <= 0)
	{
	    for(itemIdx = 1; itemIdx < pb_file_list.rows.length; itemIdx++)
        {
		    var cells = pb_file_list.rows[itemIdx].cells;
		    file_item[itemIdx-1].style.display = "none";
			cells[1].innerText = " ";
			cells[2].innerText = " ";
			cells[3].innerText = " ";
			cells[4].innerText = " ";
		}
	    return false;
	}
    if(g_recFileInfo.length <= pageIndex*20)
    {
		return false;
    }
    for(itemIdx = pageIndex*20; itemIdx < (pageIndex+1)*20; itemIdx++)
    {
		var cells = pb_file_list.rows[itemIdx-pageIndex*20+1].cells;
		if(itemIdx >= g_recFileInfo.length)	//每页十个元素
		{
			file_item[itemIdx%20].style.display = "none";
			cells[1].innerText = " ";
			cells[2].innerText = " ";
			cells[3].innerText = " ";
			cells[4].innerText = " ";
		}
		else
		{
			file_item[itemIdx%20].style.display = "";
			cells[1].innerText = parseInt(g_recFileInfo[itemIdx].channel,10)+1;
			cells[2].innerText = g_recFileInfo[itemIdx].startTime;
			cells[3].innerText = g_recFileInfo[itemIdx].endTime;
			file_item[itemIdx%20].checked = g_fileSelItem[itemIdx];
			if(FileIsLocked(g_recFileInfo[itemIdx].type))
			{
			    cells[4].innerText = str_locked;
			}
			else if(FileIsReadonly(g_recFileInfo[itemIdx].type))
			{
			    cells[4].innerText = str_readonly;
			}
			else if(FileIsWriting(g_recFileInfo[itemIdx].type))
			{
			    cells[4].innerText = str_writing;
			}
			else if(FileIsReading(g_recFileInfo[itemIdx].type))
			{
			    cells[4].innerText = str_reading;
			}
			else
			{
			    cells[4].innerText = "";
			}
			if(FileIsUnofficial(g_recFileInfo[itemIdx].type))
			{
			    cells[1].innerText += "+";
			}
			search_file_list_page.innerHTML = pageIndex+1+"/"+Math.ceil(g_recFileInfo.length/20);
		}
    }
    return true;
}

function ShowEventList(pageIndex)
{
    if(g_recEventInfo.length <= 0)
    {
        for(itemIdx = 1; itemIdx < event_list.rows.length; itemIdx++)
        {
		    var cells = event_list.rows[itemIdx].cells;
			cells[0].innerText = " ";
			cells[1].innerText = " ";
			cells[2].innerText = " ";
			cells[3].innerText = " ";
        }
        return false;
    }
    if(g_recEventInfo.length <= pageIndex*20)
    {
		return false;
    }
    for(itemIdx = pageIndex*20; itemIdx < (pageIndex+1)*20; itemIdx++)
    {
		var cells = event_list.rows[itemIdx-pageIndex*20+1].cells;
		if(itemIdx >= g_recEventInfo.length)	//每页20个元素
		{
			cells[0].innerText = " ";
			cells[1].innerText = " ";
			cells[2].innerText = " ";
			cells[3].innerText = " ";
		}
		else
		{
			cells[0].innerText = parseInt(g_recEventInfo[itemIdx].channel,10)+1;
			cells[1].innerText = g_recEventInfo[itemIdx].startTime;
			cells[2].innerText = g_recEventInfo[itemIdx].endTime;
			var eventType = parseInt(g_recEventInfo[itemIdx].type,10);
			for(bit = 3; bit >=0; bit--)
			{
				if(eventType & (1<<bit))
				{
					cells[3].innerText = g_recEventTypes[bit];
					break;
				}
			}
			
			if(FileIsUnofficial(eventType))
			{
			    cells[0].innerText += "+";
			}
		}
		search_event_list_page.innerHTML = pageIndex+1+"/"+Math.ceil(g_recEventInfo.length/20);
    }
    return true;
}

function GotoFirstPage()
{
	if(g_recDataManPage == 1)	//event list
	{
	    g_curListPageIndex = 0;
		ShowEventList(0);
	}
	else						//file list
	{
	    UpdateSelFile();
	    g_curListPageIndex = 0;
		ShowFileList(0);
	}
}

function GotoNextPage()
{
	if(g_recDataManPage == 1)	//event list
	{
	    if((g_curListPageIndex+1)*20 < g_recEventInfo.length)
	    {
	        g_curListPageIndex += 1;
		    ShowEventList(g_curListPageIndex);
		}
	}
	else						//file list
	{
	    if((g_curListPageIndex+1)*20 < g_recFileInfo.length)
	    {
	        UpdateSelFile();
	        g_curListPageIndex += 1;
		    ShowFileList(g_curListPageIndex);
		}
	}
}

function GotoPrevPage()
{
	if(g_curListPageIndex == 0)
	{
		return;
	}
	if(g_recDataManPage == 1)	//event list
	{
        g_curListPageIndex -= 1;
		ShowEventList(g_curListPageIndex);
	}
	else						//file list
	{
	    UpdateSelFile();
        g_curListPageIndex -= 1;
		ShowFileList(g_curListPageIndex);
	}
}

function GotoLastPage()
{
    if(g_recDataManPage == 1)	//event list
	{
	    g_curListPageIndex = Math.ceil(g_recEventInfo.length/20)-1;
		ShowEventList(g_curListPageIndex);
	}
	else						//file list
	{
	    UpdateSelFile();
	    g_curListPageIndex = Math.ceil(g_recFileInfo.length/20)-1;
		ShowFileList(g_curListPageIndex);
	}
}

function ShowRecTimeInfo()
{
	ClearTimeInfo(time_search_hour);
    var curDateSel = g_calendarRecData.GetDate(false);
    var startTime = new Date(curDateSel.year, curDateSel.month, curDateSel.day, 0, 0, 0);
    startTime = startTime.getTime()/1000;
    var endTime = startTime + 86399;
    
    var timeSecArray = new Array(const_channel_num);
    for(var i = 0; i < const_channel_num; i++)
    {
        timeSecArray[i] = new Array();
    }
    var secIndex = 0;
    
    for(var i = 0; i < g_recDataTimeSec.length; i++)
    {
		if((startTime < g_recDataTimeSec[i].endTime) && (endTime > g_recDataTimeSec[i].startTime))
		{
		    var channel = g_recDataTimeSec[i].channel;
		    secIndex = timeSecArray[channel].length;
		    timeSecArray[channel][secIndex] = new Object();
		    timeSecArray[channel][secIndex].startTime = Math.max(g_recDataTimeSec[i].startTime, startTime)-startTime;
		    timeSecArray[channel][secIndex].endTime = Math.min(g_recDataTimeSec[i].endTime, endTime)-startTime;
		}
    }
    for(var i = 0; i < const_channel_num; i++)
    {
        SetTimeInfo(time_search_hour, timeSecArray[i], i+1);
    }
}

function StartPlayback(channelBits, startTime, endTime, curTime, bCheckError)
{
	var strCmd = "";
	strCmd = "<request>\r\n";
	strCmd += "<command name=\""+STR_LM_PLAYBACK_START+"\">\r\n";
	strCmd += "<"+STR_DIVISION_MODE+">"+g_curDivisionMode+"</"+STR_DIVISION_MODE+">\r\n";
	strCmd += "<"+STR_PB_CHANNELS+">"+channelBits+"</"+STR_PB_CHANNELS+">\r\n";
	strCmd += "<"+STR_PB_START_TIME+">"+startTime+"</"+STR_PB_START_TIME+">\r\n";
	strCmd += "<"+STR_PB_END_TIME+">"+endTime+"</"+STR_PB_END_TIME+">\r\n";
	strCmd += "<"+STR_PB_CUR_TIME+">"+curTime+"</"+STR_PB_CUR_TIME+">\r\n";
	strCmd += "</command>\r\n";
	strCmd += "</request>";
	
	WebClient.ExcuteLocalCmd(strCmd);
	
	strCmd = "<request>\r\n";
    strCmd += "<command name=\""+STR_GET_LAST_STREAM_ERROR+"\">\r\n";
    strCmd += "</command>\r\n";
    strCmd += "</request>";
	
    var strReply = WebClient.ExcuteCmd(strCmd);
    
    if(bCheckError && (strReply != ""))
    {
        var xmlDoc;// = createXMLDoc();
        //zld 2010/8/18
        xmlDoc = FormatToXmlDOM(strReply);
        xmlDoc.async = false;
        //xmlDoc.loadXML(strReply);
	    
        var cmdElem = xmlDoc.documentElement.childNodes[0];
        var paramElem = cmdElem.childNodes[0];
        var errorCode = paramElem.childNodes[0].nodeValue;
        if(STR_STREAM_NO_CAPABILITY == errorCode)
        {
            window.alert(str_stream_no_capability);
        }
        
        delete xmlDoc;
    }
	
// 	g_getPbTimeHandle = setTimeout("GetPBTime()", 2000);
}

function ExitPlayback()
{
    var strCmd = "";
	strCmd = "<request>\r\n";
	strCmd += "<command name=\""+STR_LM_PLAYBACK_STOP+"\">\r\n";
	strCmd += "</command>\r\n";
	strCmd += "</request>";
	
	WebClient.ExcuteLocalCmd(strCmd);
//	clearTimeout(g_getPbTimeHandle);
}

function PlaybackByTime()
{
	var channelBits = 0;
    var curDate = DateTicker.all[timesearch_sdate_span.dateName].getValue().split("-");
    var startTime = new Date(parseInt(curDate[0],10),parseInt(curDate[1],10)-1,parseInt(curDate[2],10), 0, 0, 0);
    startTime = startTime.getTime()/1000;
    var endTime = startTime + 86399;
    
    
    var curTime = DateBox.all[timesearch_stime_span.dateName].getValue().split(":");
    var hour = parseInt(curTime[0]);
    var minute = parseInt(curTime[1]);
    var curDateTime = new Date(parseInt(curDate[0], 10),parseInt(curDate[1], 10)-1,parseInt(curDate[2], 10), parseInt(curTime[0], 10), parseInt(curTime[1], 10), parseInt(curTime[2], 10));
    curDateTime = curDateTime.getTime()/1000;
    //zld 2010/8/22
    var play_channel = document.getElementsByName("play_channel");
	for(var ch = 0; ch < play_channel.length; ch++)
	{
		if(play_channel[ch].checked)
		{
			channelBits |= (0x01 << ch);
		}
	}
	
	GotoPBPage();
	
	StartPlayback(channelBits, startTime, endTime, curDateTime, true);
}

function PlaybackByEvent(channelCell, timeCell)
{
	var channel = parseInt(channelCell.innerText,10)-1;
	var channelBits = 0x0001 << channel;
	var curTime = timeCell.innerText.split(" ")[1];

	var curDateSel = g_calendarRecData.GetDate(false);
    var startTime = new Date(curDateSel.year, curDateSel.month, curDateSel.day, 0, 0, 0);
    startTime = startTime.getTime()/1000;
    var endTime = startTime + 86399;
    curTime = curTime.split(":");
    curTime = new Date(curDateSel.year, curDateSel.month, curDateSel.day, parseInt(curTime[0],10), parseInt(curTime[1],10), parseInt(curTime[2],10));
    curTime = curTime.getTime()/1000;
    
    g_curDivisionMode = 1;
	g_curDivisionIndex = 0;
	g_curSelChannel = new Array(1);
	g_curSelChannel[0] = channel;
	
	GotoPBPage();
	
	StartPlayback(channelBits, startTime, endTime, curTime, true);
}

function SetPBChannel()
{
	var channelBits = 0;
	for(i = 0; i < g_curSelChannel.length; i++)
	{
		if(g_curSelChannel[i] != -1)
		{
			channelBits |= 0x01 << g_curSelChannel[i];
		}
	}
	
	var curDate = DateTicker.all[play_start_date_span.dateName].getValue().split("-");
	var startTime = new Date(parseInt(curDate[0],10),parseInt(curDate[1],10)-1,parseInt(curDate[2],10), 0, 0, 0);
	startTime = startTime.getTime()/1000;
	var endTime = startTime+24*3600;
	var curTime = DateBox.all[play_start_time_span.dateName].getValue().split(":");
    curTime = new Date(parseInt(curDate[0],10),parseInt(curDate[1],10)-1,parseInt(curDate[2],10), parseInt(curTime[0],10), parseInt(curTime[1],10), parseInt(curTime[2],10));
    curTime = curTime.getTime()/1000;
    
    playback_play_btn.disabled = true;
    StartPlayback(channelBits, startTime, endTime, curTime, false);
    playback_play_btn.disabled = false;
	
//	var strCmd = "";
//	strCmd = "<request>\r\n";
//	strCmd += "<command name=\""+STR_LM_PLAYBACK_SETCHANNEL+"\">\r\n";
//	strCmd += "<"+STR_DIVISION_MODE+">"+g_curDivisionMode+"</"+STR_DIVISION_MODE+">\r\n";
//	strCmd += "<"+STR_PB_CHANNELS+">"+channelBits+"</"+STR_PB_CHANNELS+">\r\n";
//	strCmd += "<"+STR_PB_START_TIME+">"+startTime+"</"+STR_PB_START_TIME+">\r\n";
//	strCmd += "<"+STR_PB_END_TIME+">"+endTime+"</"+STR_PB_END_TIME+">\r\n";
//	strCmd += "<"+STR_PB_CUR_TIME+">"+curTime+"</"+STR_PB_CUR_TIME+">\r\n";
//	strCmd += "</command>\r\n";
//	strCmd += "</request>";
//	
//	WebClient.ExcuteLocalCmd(strCmd);
}

// function GetPBTime()
// {
// 	var strCmd = "";
// 	strCmd = "<request>\r\n";
// 	strCmd += "<command name=\""+STR_LM_GET_PB_TIME+"\">\r\n";
// 	strCmd += "</command>\r\n";
// 	strCmd += "</request>";
// 	
// 	var strReply = WebClient.ExcuteLocalCmd(strCmd);
// 	
// 	if(strReply != "")
// 	{
//  if (g_xmlDoc!=null)
//    {
//        delete g_xmlDoc;
//        g_xmlDoc=null;
//    }
//      g_xmlDoc = FormatToXmlDOM(strReply);
// 		g_xmlDoc.async = false;
// 		//g_xmlDoc.loadXML(strReply);
// 		var cmdElements = g_xmlDoc.documentElement.childNodes;
// 		if(cmdElements.length == 0)
// 		{
// 		}
// 		else if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_LM_GET_PB_TIME)
// 		{
// 		}
// 		else if(cmdElements[0].childNodes.length == 0)
// 		{
// 		}
// 		else
// 		{
// 			try
// 			{
// 				div_pb_time.innerText = cmdElements[0].childNodes[0].childNodes[0].nodeValue;
// 			}
// 			catch(e)
// 			{
// 				clearTimeout(g_getPbTimeHandle);
// 				return;
// 			}
// 		}
// 	}
// 	else
// 	{
// 		try
// 		{
// 			div_pb_time.innerText = "";
// 		}
// 		catch(e)
// 		{
// 		    clearTimeout(g_getPbTimeHandle);
// 		    return;
// 		}
// 	}
// 	g_getPbTimeHandle = setTimeout("GetPBTime()", 100);	
// }
function FileM_SelectAll()
{
	if(g_fileSelItem == null)
	{
		return;
	}
	for(var i = 0; i < g_fileSelItem.length; i++)
	{
	    g_fileSelItem[i] = true;
	}
    ShowFileList(g_curListPageIndex);
}

function FileM_InvertSelection()
{
	if(g_fileSelItem == null)
	{
		return;
	}
	UpdateSelFile();
	for(var i = 0; i < g_fileSelItem.length; i++)
	{
	    g_fileSelItem[i] = !g_fileSelItem[i];
	}
    ShowFileList(g_curListPageIndex);
}

function FileManage(cmdString)
{
    UpdateSelFile();
    var itemNum = 0;
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\"" + cmdString + "\">\r\n";
    var bSelectItem = false;
    var bSelectForbiden = false;
    for(var i = 0; i < g_fileSelItem.length; i++)
    {
        if(g_fileSelItem[i])
        {
            bSelectItem = true;
            if(FileIsReadonly(g_recFileInfo[i].type) || FileIsWriting(g_recFileInfo[i].type))
            {
                bSelectForbiden = true;
                continue;
            }
            if(FileIsLocked(g_recFileInfo[i].type))
            {
                if((cmdString == STR_FILE_LOCK) || (cmdString == STR_FILE_DELETE))
                {
                    if(STR_FILE_DELETE == cmdString)
                    {
                        bSelectForbiden = true;
                    }
                    continue;
                }
            }
            else
            {
                if(cmdString == STR_FILE_UNLOCK)
                {
                    bSelectForbiden = true;
                    continue;
                }
            }

			strRequest += "<item index = " + itemNum + ">\r\n";
			strRequest += "<"+STR_EVENT_TYPE+">"+g_recFileInfo[i].type+"</"+STR_EVENT_TYPE+">\r\n";
			strRequest += "<"+STR_CHANNEL+">"+g_recFileInfo[i].channel+"</"+STR_CHANNEL+">\r\n";
			strRequest += "<"+STR_START_TIME+">"+g_recFileInfo[i].startTime+"</"+STR_START_TIME+">\r\n";
			strRequest += "<"+STR_END_TIME+">"+g_recFileInfo[i].endTime+"</"+STR_END_TIME+">\r\n";
			strRequest += "<"+STR_DISK_INDEX+">"+g_recFileInfo[i].diskIndex+"</"+STR_DISK_INDEX+">\r\n";
			strRequest += "<"+STR_FILE_INDEX+">"+g_recFileInfo[i].fileIndex+"</"+STR_FILE_INDEX+">\r\n";
			strRequest += "</item>\r\n";
			itemNum++;
        }
    }
    if(itemNum == 0)
    {
        if(!bSelectItem)
        {
            window.alert(data_select_tip);
        }
        else if(bSelectForbiden)
        {
            window.alert(data_select_forbiden_tip);
        }
        
        return;
    }
    
    if(cmdString == STR_FILE_LOCK)
    {
        if (!confirm(file_lock_confirm)) 
        {
            return;
        }
    }
    if(cmdString == STR_FILE_UNLOCK)
    {
        if (!confirm(file_unlock_confirm)) 
        {
            return;
        }
    }
    if(cmdString == STR_FILE_DELETE)
    {
        if (!confirm(file_delete_confirm)) 
        {
            return;
        }
    }
    
	strRequest += "</command>\r\n";
	strRequest += "</request>\r\n";
//	window.alert(strRequest);
	var strReply = WebClient.ExcuteCmd(strRequest);
	if(strReply == "")
	{
	    return;
	}
	

	//zld 2010/8/18
    if (g_xmlDoc!=null)
    {
        delete g_xmlDoc;
        g_xmlDoc=null;
    }
    g_xmlDoc = FormatToXmlDOM(strReply);
	g_xmlDoc.async = false;
	//g_xmlDoc.loadXML(strReply);
	var cmdElements = g_xmlDoc.documentElement.childNodes;
	if(cmdElements[0].attributes.getNamedItem("name").nodeValue == STR_REPLY_NO_AUTH)
    {
        window.alert(str_no_auth);
        return;
    }
    
    RequestRecFileInfo();
}

function UpdateSelFile()
{
	for(var i = 0; i < 20; i++)
	{
		if(i+g_curListPageIndex*20 < g_fileSelItem.length)
		{
			g_fileSelItem[i+g_curListPageIndex*20] = file_item[i].checked;
		}
	}
}

function FileDelete()
{
    FileManage(STR_FILE_DELETE);
}

function FileLock()
{
    FileManage(STR_FILE_LOCK);
}

function FileUnlock()
{
    FileManage(STR_FILE_UNLOCK);
}

function GotoTimeSearch()
{
    div_timeSearch_play.style.display = "";
    div_label_rec_time.style.display = "";
    time_search_hour.style.display = "";
    div_file_list.style.display = "none";    
    div_event_list.style.display = "none";    
    div_event_condition.style.display = "none";    
    RequestMonthCalInfo();
    g_recDataManPage = 0;
    g_recEventInfo = new Array(0);
    g_recFileInfo = new Array(0);
    
    //zld 2010/8/25
    document.getElementById("search_middle_div").style.height="560px";
    var divheight=(search_middle_div.offsetHeight-2 > 560) ? search_middle_div.offsetHeight-2 : 560;
    document.getElementById("div_search_nav").style.height=divheight+"px";
    divheight=div_search_nav.offsetHeight-12;
    document.getElementById("search_right_div").style.height=divheight+"px";
    
    //zld 2010/9/8
    var search_body_height=divheight+40;
    document.getElementById("div_search_body").style.height=search_body_height+"px";
    
    var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = search_body_height+60;
        document.getElementById("work_area").style.height =work_area_height+"px";
    }

    EdgeCtrl(div_search_nav,72);
    ApplyXmlLang("time_search.xml");
}

function GotoEventSearch()
{
    div_search_nav.style.display = "";
    div_event_list.style.display = "";
    div_event_condition.style.display = "";
	div_search_start.style.display = "";
    div_timeSearch_play.style.display = "none";
    div_label_rec_time.style.display = "none";
    time_search_hour.style.display = "none";
    div_file_list.style.display = "none";
    search_event_list_page.innerHTML = "0/0";
	RequestMonthCalInfo();
	g_recDataManPage = 1;
	
	for(var itemIdx = 0; itemIdx < 20; itemIdx++)
    {
		var cells = event_list.rows[itemIdx+1].cells;
		cells[0].innerText = " ";
		cells[1].innerText = " ";
		cells[2].innerText = " ";
		cells[3].innerText = " ";
		event_list.rows[itemIdx+1].onmouseout = function()
		{
			this.style.cssText = "";
		}
		event_list.rows[itemIdx+1].onmouseover = function ()
		{
			if(this.cells[0].innerText != " ")
			{
				this.style.cssText = tr_select_css;
			}			
		}
		event_list.rows[itemIdx+1].onclick = function ()
		{
			if(this.cells[0].innerText != " ")
			{
				PlaybackByEvent(this.cells[0], this.cells[1]);
			}
		}
	}
    g_recFileInfo = new Array(0);
    //zld 2010/8/25
    //document.getElementById("search_middle_div").style.height="560px";
    var divheight=search_middle_div.offsetHeight-2;
    document.getElementById("div_search_nav").style.height=divheight+"px";
    divheight=search_middle_div.offsetHeight-12;
    document.getElementById("search_right_div").style.height=divheight+"px";
    
    //zld 2010/9/8
    var search_body_height=divheight+40;
    document.getElementById("div_search_body").style.height=search_body_height+"px";
    
    var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = search_body_height+60;
        document.getElementById("work_area").style.height =work_area_height+"px";
    }

    EdgeCtrl(div_search_nav,72);
    ApplyXmlLang("event_search.xml");
}

function GotoFileManager()
{
    div_search_nav.style.display = "";
    div_file_list.style.display = "";
	div_search_start.style.display = "";
    div_event_condition.style.display = "none";
    div_timeSearch_play.style.display = "none";
    div_label_rec_time.style.display = "none";
    time_search_hour.style.display = "none";
    div_event_list.style.display = "none";
    search_file_list_page.innerHTML = "0/0";
	RequestMonthCalInfo();
	g_recDataManPage = 2;
	
	if(!(g_authority.authority & 2048))
	{
	    file_lock_button.disabled = true;
        file_unlock_button.disabled = true;
        file_del_button.disabled = true;
	}
	
	for(var itemIdx = 0; itemIdx < 20; itemIdx++)
    {
		var cells = pb_file_list.rows[itemIdx+1].cells;
		file_item[itemIdx%20].style.display = "none";
		cells[1].innerText = " ";
		cells[2].innerText = " ";
		cells[3].innerText = " ";
		cells[4].innerText = " ";
		pb_file_list.rows[itemIdx+1].cells[1].onmouseout = function()
		{
			this.parentNode.style.cssText = "";
		}
		pb_file_list.rows[itemIdx+1].cells[2].onmouseout = pb_file_list.rows[itemIdx+1].cells[1].onmouseout;
		pb_file_list.rows[itemIdx+1].cells[3].onmouseout = pb_file_list.rows[itemIdx+1].cells[1].onmouseout;
		pb_file_list.rows[itemIdx+1].cells[4].onmouseout = pb_file_list.rows[itemIdx+1].cells[1].onmouseout;
		
		pb_file_list.rows[itemIdx+1].cells[1].onmouseover = function ()
		{
			if(this.parentNode.cells[1].innerText != " ")
			{
				this.parentNode.style.cssText = tr_select_css;
			}
		}
		
		pb_file_list.rows[itemIdx+1].cells[2].onmouseover = pb_file_list.rows[itemIdx+1].cells[1].onmouseover;
		pb_file_list.rows[itemIdx+1].cells[3].onmouseover = pb_file_list.rows[itemIdx+1].cells[1].onmouseover;
		pb_file_list.rows[itemIdx+1].cells[4].onmouseover = pb_file_list.rows[itemIdx+1].cells[1].onmouseover;
		
		pb_file_list.rows[itemIdx+1].cells[1].onclick = function ()
		{
			if(this.parentNode.cells[1].innerText != " ")
			{
				PlaybackByEvent(this.parentNode.cells[1], this.parentNode.cells[2]);
			}
		}
		pb_file_list.rows[itemIdx+1].cells[2].onclick = pb_file_list.rows[itemIdx+1].cells[1].onclick;
		pb_file_list.rows[itemIdx+1].cells[3].onclick = pb_file_list.rows[itemIdx+1].cells[1].onclick;
		pb_file_list.rows[itemIdx+1].cells[4].onclick = pb_file_list.rows[itemIdx+1].cells[1].onclick;
	}
	g_recEventInfo = new Array(0);
	//zld 2010/8/25
    //document.getElementById("search_middle_div").style.height="560px";
    var divheight=search_middle_div.offsetHeight-2;
    document.getElementById("div_search_nav").style.height=divheight+"px";
    divheight=search_middle_div.offsetHeight-12;
    document.getElementById("search_right_div").style.height=divheight+"px";
    
    //zld 2010/9/8
    var search_body_height=divheight+40;
    document.getElementById("div_search_body").style.height=search_body_height+"px";

    var isIE = /msie/i.test(navigator.userAgent); 
    if (!isIE) 
    {
        var work_area_height = search_body_height+60;
        document.getElementById("work_area").style.height =work_area_height+"px";
    }
    
    EdgeCtrl(div_search_nav,72);
    ApplyXmlLang("file_manage.xml");
}

function OnClickDataTime(timeObj)
{
	var objIndex = 0;
	var siblings = timeObj.parentNode.childNodes;
	for(i = 0; i < siblings.length; i++)
	{
		if(siblings[i] == timeObj)
		{
			objIndex = i;
			break;
		}
	}
	var timeStrings = showtime.value.split(" ");
	var timeItems = timeStrings[1].split(":");
	timeItems[0] = parseInt(timeItems[0],10);
	timeItems[1] = parseInt(timeItems[1],10);
	if(timeObj.parentNode.parentNode.id == "time_search_hour")
	{
		timeItems[0] = objIndex;
	}
	else
	{
		timeItems[1] = objIndex;
	}
	showtime.value = timeStrings[0]+" "+((timeItems[0] > 9) ? "" : "0") + timeItems[0] + ":"
	    + ((timeItems[1] > 9) ? "" : "0") + timeItems[1] + ":" + "00";
	ShowRecTimeInfo();
}

function GenPlayChannelChart(tableObj, groupName, channelName)
{
	for(i = 0; i < tableObj.rows.length; i++)
	{
		tableObj.deleteRow(0);
	}
	var rows = Math.ceil(g_channelList.length/4);
	for(i = 0; i < rows; i++)
	{
		var rowObj = tableObj.insertRow(i);
		rowObj.style.cssText = "text-align:left;";
		var cellObj = rowObj.insertCell(0);
		cellObj.style.cssText = "border-right:solid 1px Black;";
		if(g_curDivisionMode == 1)
		{
			cellObj.style.display = "none";
		}
		//djx
		cellObj.innerHTML = "<input type='checkbox' style='width:20px;' name='"+groupName+"' id='"+groupName+"' onclick='SelPlayChannelGroup("+groupName+","+channelName+","+i+")'/>";
		for(j = 1; (j <= 4) && ((j+i*4) <= g_channelList.length); j++)
		{
			cellObj = rowObj.insertCell(j);
			cellObj.innerHTML = "<input type='checkbox' name='"+channelName+"' id='"+channelName+"' style='width:20px;' onclick='SelPlayChannel("+groupName+","+channelName+","+(i*4+(j-1))+")'/>" + (j+i*4);
			//cellObj.innerHTML = "<input type='checkbox' name='"+channelName+"' style='width:20px;' onclick='window.alert()'/>" + (j+i*4);
		}
	}
}

function CheckPlayChannel(groupObj, channelObj)
{
	for(var i = 0; i < channelObj.length; i++)
	{
		channelObj[i].checked = false;
	}
	for(i = 0; i < g_curSelChannel.length; i++)
	{
		if(g_curSelChannel[i] != -1)
		{
			channelObj[g_curSelChannel[i]].checked = true;
		}
	}
	
	for(i = 0; i < groupObj.length; i++)
	{
		groupObj[i].checked = true;
		
		var disabledCount = 0;
		for(var j = 0; j < 4; j++)
		{
		    if(channelObj[i*4+j].disabled)
		    {
		        disabledCount++;
		    }
			else if(!channelObj[i*4+j].checked)
			{
				groupObj[i].checked = false;
				break;
			}
		}
		if(4 == disabledCount)
		{
		    groupObj[i].checked = false;
		}
	}
}

function OnSelDivision(tableChannel, divisionIndex, divisionMode)
{
    objId = tableChannel.id;
    for(i=0;i<4;i++)
    {
        if(document.getElementById(objId+i).className=='on')
        {
            document.getElementById(objId+i).className="";
            document.getElementById(objId+i).style.background = "url(res/div"+i+".jpg)";
        }
    }
    document.getElementById(objId+divisionIndex).className="on";
    document.getElementById(objId+divisionIndex).style.background = "url(res/divh_"+divisionIndex+".jpg)";

	if(g_curDivisionMode != divisionMode)
	{
		g_curSelChannel = new Array();
		g_curDivisionMode = divisionMode;
		g_curDivisionIndex = divisionIndex;
		
		if(g_authority.authority & 0x0008)
		{
		    var index = 0;
		    for(var ch = 0; ch < g_channelList.length; ch++)
		    {
		        if(index >= divisionMode)
		        {
		            break;
		        }
		        if(g_authority.authPlayback & (0x01 << ch))
			    {
			        g_curSelChannel[index] = ch;
			        index++;
			    }
		    }
		}
	}
	
	for(i = 0; i < tableChannel.rows.length; i++)
	{
		if(divisionMode > 1)
		{
			tableChannel.rows[i].cells[0].style.display = "";
		}
		else
		{
			tableChannel.rows[i].cells[0].style.display = "none";
		}
	}
	
	if(play_channel_table == tableChannel) //djx
	{
		var groupObj = document.getElementsByName("play_group");
		var channelObj = document.getElementsByName("play_channel");
		CheckPlayChannel(groupObj, channelObj);
	}
	else
	{
		var groupObj = document.getElementsByName("play_group_2");
		var channelObj = document.getElementsByName("play_channel_2");
		CheckPlayChannel(groupObj, channelObj);
	}
	/*
	//zld 2010/8/16 safari不能识别一下两句
	var groupObj = document.getElementsByName(tableChannel.cells[0].getElementsByTagName("input")[0].name);
	var channelObj = document.getElementsByName(tableChannel.cells[1].getElementsByTagName("input")[0].name);
	CheckPlayChannel(groupObj, channelObj);*/
}

function SelPlayChannel(groupObj, channelObj, index)
{
	if(channelObj[index].checked)
	{
		for(i = 0; i < g_curSelChannel.length; i++)
		{
			if(g_curSelChannel[i] == -1)
			{
				g_curSelChannel[i] = index;
				break;
			}
		}
		if(i == g_curSelChannel.length)
		{
			g_curSelChannel.shift();
			g_curSelChannel[g_curSelChannel.length] = index;
		}
	}
	else
	{
		for(i = 0; i < g_curSelChannel.length; i++)
		{
			if(g_curSelChannel[i] == index)
			{
				g_curSelChannel.splice(i, 1);
				g_curSelChannel[g_curSelChannel.length] = -1;
				break;
			}
		}
	}
	CheckPlayChannel(groupObj, channelObj);
}

function SelPlayChannelGroup(groupObj, channelObj, index)
{
    if(!(g_authority.authority & 0x0008))
    {
        return;
    }
    
	for(i = 0; i < g_curSelChannel.length; i++)
	{
		if((g_curSelChannel[i] >= index*4) && (g_curSelChannel[i] <= (index*4+3)))
		{
			g_curSelChannel.splice(i, 1);
			g_curSelChannel[g_curSelChannel.length] = -1;
			i -= 1;
		}
	}
	
	if((typeof groupObj.length) == "undefined")
	{
	    groupObj = document.getElementsByName(groupObj.id);
	}
	
	if(groupObj[index].checked)
	{
		for(i = index*4; i <= index*4+3; i++)
		{
		    if(g_authority.authPlayback & (0x01 << i))
		    {
		        for(j = 0; j < g_curSelChannel.length; j++)
			    {
				    if(g_curSelChannel[j] == -1)
				    {
					    g_curSelChannel[j] = i;
					    break;
				    }
			    }
			    if(j == g_curSelChannel.length)
			    {
				    g_curSelChannel.shift();
				    g_curSelChannel[g_curSelChannel.length] = i;
			    }
		    }
		}
	}
	CheckPlayChannel(groupObj, channelObj);
}

function Pb_SnapPicture()
{
    var strCmd = "<request>\r\n";
    strCmd += "<command name=\"" + STR_LM_PB_SNAP + "\">\r\n";    
    strCmd += "</command>\r\n";
    strCmd += "</request>\r\n";
    
    WebClient.ExcuteLocalCmd(strCmd);
}

function EventCheck(obj)
{
    if(obj.checked)
    {
        event_all.checked = false;
    }
}
function EventAllCheck(obj)
{
    if(obj.checked)
    {
        event_type_motion.checked = false;
        event_type_sensor.checked = false;
    }
}
